<?php

namespace HCM\FPA\Calculos\Geral;

use HCM\Util\DateUtil;
use Setforms2\Shared\Registry;
use HCM\Util\Repositories;
use HCM\FPA\Calculos\Geral\MemoriaCalculo;
use HCM\FPA\Entity\FpafaixatabelaEntity;
use HCM\FPA\Entity\FpaValorreferenciamEntity;
use HCM\FPA\Entity\FpatabelafolhaEntity;
use HCM\FPA\Entity\FpatipoassoceveEntity;
use HCM\FPA\Entity\FpaPtregraEntity;

class INSS {

    public static function calcula(
        $incidencia, $evento, $evento_base, $mes_competencia, $item_de_calculo,
        $assoc_evento, $eventom, $nrOrg, $valorReferencia, $evento2Parte = null, $eventoConsulta = null,
        $proporcao = 0, $tipoVinculo = false, $itemsAnterior = null
    )
    {
        $baseInssJaDescontado = 0;
        
        if($itemsAnterior){
            $base = $item_de_calculo->calculaIncidenciasComItensAnterior($item_de_calculo, $itemsAnterior, $incidencia, $mes_competencia, $eventom);
        }else{
            $base = $item_de_calculo->calculaIncidencias($incidencia, $mes_competencia, $eventom);
        }
        
        $nrevento = $assoc_evento->retornaEvento($evento_base, $nrOrg);
        $evento_base_inss = $eventom->retornaEvento($nrevento);
        $calculoEvento = 'Valor = '.$base.' (Base)';
        MemoriaCalculo::getInstance()->escreveEventos($item_de_calculo->getNrcalculofolha(),$evento_base_inss,$calculoEvento,$mes_competencia,$base,0,null,$base,$incidencia,100);
        $item_de_calculo->geraEvento($evento_base_inss, null, $base, 0, 1);
        
        $indice = $item_de_calculo->procuraEvento($evento_base_inss, $mes_competencia);
        
        if ($indice !== -1) {
            $base = $item_de_calculo->retornaValor($indice);
        } else {
            $base = 0;
        }
        
        //Procura se tem evento de inss ja descontado em outro calculo.
        $eventoJaDescontado = $eventom->retornaEvento(FpatipoassoceveEntity::ASSOC_INCID_INSS_OUTRAFONTE);
        $indiceEventoJaDescontado = $item_de_calculo->procuraEvento($eventoJaDescontado, $mes_competencia);
        if ($indiceEventoJaDescontado !== -1) {
            $baseInssJaDescontado = $item_de_calculo->retornaValor($indiceEventoJaDescontado);
        } 
        
        if($baseInssJaDescontado){
            
            $percentual = Registry::getEntityManager()->getRepository(Repositories::FPA_VALORREFERENCIAM)->retornaValorReferencia($nrOrg, 0, $mes_competencia, 
            FpaValorreferenciamEntity::INIVALID_NOVO_INSS);
            
            //Gera para novas aliquotas 01/03/2020
            if($percentual && $percentual[0] && $mes_competencia >= $percentual[0]->getDtinivigencia() && $tipoVinculo === false && $baseInssJaDescontado > 0){
                
                $valoresFaixasInss = FpafaixatabelaEntity::retornaValorAliquota2020(
                    $baseInssJaDescontado, FpatabelafolhaEntity::TAB_INSS_NOVO, $mes_competencia, $referencia
                );
                
                $nrEvento = 1132;
                $nrEventoBase = 3082;
                $arrayEventos = array(1130, 1140, 1150, 1160);
                
                if($valoresFaixasInss){
                    foreach($valoresFaixasInss as $inssFaixa){
                        $inss += $inssFaixa['VALOR'];
                        $nrEvento++;
                        $nrEventoBase++;
                        
                        if ($inssFaixa['VRLIMITE'] && $inssFaixa['VRLIMITE'] < $inss){
                            $inss = $inssFaixa['VRLIMITE'];
                        }
                    }
                    $referencia = round(($inss / $baseInssJaDescontado) * 100, 2);
                }
            }
            
            $evento_inssOutraFonte = $eventom->retornaEvento(FpatipoassoceveEntity::ASSOC_INSS_OUTRA_FONTE);
            $item_de_calculo->geraEvento($evento_inssOutraFonte, null, $inss, $referencia, 1);
            
        }
        
        if ($valorReferencia != null) {
            $referencia=$valorReferencia;
            $inss=($base*$referencia) / 100;
            $calculoEvento = '('.$base.' * '.$referencia.') / 100 = '.$inss;
        } else {
            
            $percentual = Registry::getEntityManager()->getRepository(Repositories::FPA_VALORREFERENCIAM)->retornaValorReferencia($nrOrg, 0, $mes_competencia, 
            FpaValorreferenciamEntity::INIVALID_NOVO_INSS);
            
            //Gera para novas aliquotas 01/03/2020
            if($percentual && $percentual[0] && $mes_competencia >= $percentual[0]->getDtinivigencia() && $tipoVinculo === false && $base > 0){
                
                $valoresFaixasInss = FpafaixatabelaEntity::retornaValorAliquota2020(
                    $base, FpatabelafolhaEntity::TAB_INSS_NOVO, $mes_competencia, $referencia
                );
                $nrEvento = 1132;
                $nrEventoBase = 3082;
                $arrayEventos = array(1130, 1140, 1150, 1160);
                
                if($valoresFaixasInss){
                    foreach($valoresFaixasInss as $inssFaixa){
                        
                        $inss += $inssFaixa['VALOR'];
                        
                        if(in_array($evento, $arrayEventos)){
                            $calculoEvento = '('.$inssFaixa['BASE'].' * '.$inssFaixa['FAIXA'].') / 100 = '.$inssFaixa['VALOR'];
                            $evento_inss = $eventom->retornaEvento($nrEvento);
                            MemoriaCalculo::getInstance()->escreveEventos($item_de_calculo->getNrcalculofolha(),$evento_inss,$calculoEvento,$mes_competencia, $inssFaixa['VALOR'], $inssFaixa['FAIXA'],null,$inssFaixa['BASE'],$incidencia,100);
                            $item_de_calculo->geraEvento($evento_inss, null, $inssFaixa['VALOR'], $inssFaixa['FAIXA'], 1);
                            //BASE
                            $calculoEvento = 'Valor = '.$inssFaixa['BASE'].' (Base)';
                            $evento_inssBase = $eventom->retornaEvento($nrEventoBase);
                            MemoriaCalculo::getInstance()->escreveEventos($item_de_calculo->getNrcalculofolha(),$evento_inss,$calculoEvento,$mes_competencia, $inssFaixa['BASE'], $inssFaixa['FAIXA'],null,$inssFaixa['BASE'],$incidencia,100);
                            $item_de_calculo->geraEvento($evento_inssBase, null, $inssFaixa['BASE'], 0, 1);
                            
                        }
                        $nrEvento++;
                        $nrEventoBase++;
                        
                        if ($inssFaixa['VRLIMITE'] && $inssFaixa['VRLIMITE'] < $inss){
                            $inss = $inssFaixa['VRLIMITE'];
                        }
                    }
                    $referencia = round(($inss / $base) * 100, 2);
                }
            }else{
                //Aliquota Antiga
                if ($tipoVinculo === false) {
                    $referencia = 0;
                    $inss = FpafaixatabelaEntity::retornaValorProcessado(
                        $base, FpatabelafolhaEntity::TAB_INSS, $mes_competencia, $referencia
                    );
                    $calculoEvento = '('.$base.' * '.$referencia.') / 100 = '.$inss;
                } else {
                    $referencia = 0;
                    $inss = FpafaixatabelaEntity::retornaValorUltimaFaixa(
                        $base, FpatabelafolhaEntity::TAB_INSS, $mes_competencia, $referencia
                    );
                    $calculoEvento = '('.$base.' * '.$referencia.') / 100 = '.$inss;
                }
            }
        }
        
        $nrevento_inss_outra_fonte =  $assoc_evento->retornaEvento(FpatipoassoceveEntity::ASSOC_INSS_OUTRA_FONTE, $nrOrg);
        $evento_inss_outra_fonte = $eventom->retornaEvento($nrevento_inss_outra_fonte);
        $indice = $item_de_calculo->procuraEvento($evento_inss_outra_fonte, null);
        if ($indice !== -1) {
            $inss_outra_fonte = $item_de_calculo->retornaValor($indice);
            $inss = ($inss -= $inss_outra_fonte<0) ? 0 : ($inss -= $inss_outra_fonte);
            $calculoEvento .= PHP_EOL.$inss.'(Inss) - '.$inss_outra_fonte.'(Inss Outra Fonte)';
        }

        $nrevento_ja_desc =  $assoc_evento->retornaEvento(FpatipoassoceveEntity::ASSOC_INSS_JA_DESC_CALC, $nrOrg);
        $evento_inss_ja_desc = $eventom->retornaEvento($nrevento_ja_desc);
        $indice = $item_de_calculo->procuraEvento($evento_inss_ja_desc, null);
        if ($indice !== -1) {
            $inss_ja_desc = $item_de_calculo->retornaValor($indice);
            $inss -= $inss_ja_desc;
            $calculoEvento .= PHP_EOL.$inss.'(Inss) - '.$inss_ja_desc.'(Inss Já Descontado)';
        }
        
        if ($evento2Parte) {
            $nreventoConsulta =  $assoc_evento->retornaEvento($eventoConsulta, $nrOrg);
            $eventoConsulta = $eventom->retornaEvento($nreventoConsulta);
            $indice = $item_de_calculo->procuraEvento($eventoConsulta, null);
            if ($indice !== -1) {
                $nrevento2Parte =  $assoc_evento->retornaEvento($evento2Parte, $nrOrg);
                $eventoInss2Parte = $eventom->retornaEvento($nrevento2Parte);
                $inss2Parte = $inss * $proporcao;
                $calculoEvento2Parte = 'Valor Inss: '.$inss.' * '.$proporcao.' (proporção 2ª Parte) = '.$inss2Parte;
                MemoriaCalculo::getInstance()->escreveEventos($item_de_calculo->getNrcalculofolha(),$eventoInss2Parte,$calculoEvento2Parte,$mes_competencia,$inss2Parte,$referencia,null,$base,$incidencia,100);
                $item_de_calculo->geraEvento($eventoInss2Parte, null, $inss2Parte, $referencia, 1);
                $inss -= $inss2Parte;
                $calculoEvento .= PHP_EOL.'- '.$inss2Parte.' (Inss 2ª Parte) = '.$inss;
            }
        }
        $nrevento =  $assoc_evento->retornaEvento($evento, $nrOrg);
        $evento_inss = $eventom->retornaEvento($nrevento);
        MemoriaCalculo::getInstance()->escreveEventos($item_de_calculo->getNrcalculofolha(),$evento_inss,$calculoEvento,$mes_competencia,$inss,$referencia,null,$base,$incidencia,100);
        $item_de_calculo->geraEvento($evento_inss, null, $inss, $referencia, 1);
    }
    
}