<?php

namespace HCM\FPA\Calculos\Geral;
use HCM\FPA\Calculos\Geral\TeknisaRegra;

class RateioEvaluator extends TeknisaEvaluator{

    private $_calculoRegra;
    private $_calculo;
    private $_mnemonicos;

    public function __construct($calculo_rateio){
        $this->calculorateio = $calculo_rateio;
        parent::__construct($this);
        $this->_declaraRegrasFolha();
    }

    private function _declaraRegrasFolha(){
        $this->_mnemonicos = array(
            'SE' => array($this->calculorateio, 'retornaValorPorCondicao', array('condicao', 'valorSeVerdadeiro', 'valorSeFalso')),
            'ATRIB_VAL'=> array($this->calculorateio, 'atribuiValor', array('valor')),
            'ATRIB_REF'=> array($this->calculorateio, 'atribuiReferencia', array('referencia')),
            'ATRIB_OCOR'=> array($this->calculorateio, 'atribuiOcorrencias', array('ocorrencias')),
            'VAL_EVEN'=> array($this->calculorateio, 'retornaValorEvento', array('nr_evento')),
            'REF_EVEN'=> array($this->calculorateio, 'retornaReferenciaEvento', array('nr_evento')),
            'EXISTE_EVEN'=> array($this->calculorateio, 'verificaExistenciaEvento', array('nr_evento')),
            'VAL_INCID'=> array($this->calculorateio, 'retornaValorIncidencia', array('nr_incidencia')),
            'REF_INCID'=> array($this->calculorateio, 'retornaReferenciaIncidencia', array('nr_incidencia')),
            'DADOS_VINC'=> array($this->calculorateio, 'retornaDadosVinculo', array('nomeColuna')),
            'TOTAL_VAL'=> array($this->calculorateio, 'totalizaValorHistorico', array('listaNrEvento', 'nrTipoMovimento', 'deslocamento', 'mesIncidencia')),
            'TOTAL_REF'=> array($this->calculorateio, 'totalizaReferenciaHistorico', array('listaNrEvento', 'nrTipoMovimento', 'deslocamento', 'mesIncidencia')),
            'TOTAL_PARC'=> array($this->calculorateio, 'totalizaOcorrenciaHistorico', array('listaNrEvento', 'nrTipoMovimento', 'deslocamento', 'mesIncidencia')),
            'DIAS_ENTRE' => array($this->calculorateio, "getDiasEntre", array("dataInicial", "dataFinal")),
            'TOMADOR' => array($this->calculorateio, "getTomador", array("nrestrutgeren")),
            'CONV_MIN_DEC'=>array($this->calculorateio, 'converteHoraEmDecimal', array('ref_evento')),
            'VAL_EVEN_MES'=> array($this->calculorateio, 'retornaValEvenOcorrencias', array('nr_evento')),
            'DT_ULT_MOV' => array($this->calculorateio, 'retornaDataInicioUltMovimentacao', array('nrTipoEstrutura')),
        );
        
        foreach($this->_mnemonicos as $mnemonico => $value){
            $this->setObjectFunction($mnemonico, $value[0], $value[1],$value[2]);
        }
    }
    
}