<?php

namespace HCM\FPA\Services;

use Doctrine\ORM\EntityManager;
use HCM\Util\HCMParameters;
use HCM\Util\Messages;
use HCM\Util\Repositories;
use Zeedhi\Framework\DTO\Response\Notification;
use Zeedhi\Framework\DTO\Response\Error;

class TipoCalculoService {
    
    protected $entityManager;
    protected $hcmParameters;
    
    public function __construct(EntityManager $entityManager, HCMParameters $hcmParameters) {
        $this->entityManager = $entityManager;
        $this->hcmParameters = $hcmParameters;
    }
    
    public function deleteTipoCalculo($dataset) {
        $nrtipocalculo = $dataset["NRTIPOCALCULO"];
        $calcmov = $this->entityManager->getRepository(Repositories::FPA_TPCALCMOV)->findBy(array("nrtipocalculo" => $nrtipocalculo, "nrorg" => $dataset['NRORG']));
        if (isset($calcmov[0])) {
            throw new \Exception(Messages::HCM01000_FPA_TPCALCULO_ALREADY_EXIST_MOVIMENTO_ERROR, 10);
        }
        else {
            $this->entityManager->beginTransaction();
            $tipocalculo = $this->entityManager->getRepository(Repositories::FPA_TIPOCALCULO)->findOneBy(array("nrtipocalculo" => $nrtipocalculo, "nrorg" => $dataset['NRORG']));
            $this->entityManager->remove($tipocalculo);
            $this->entityManager->flush();
            $this->entityManager->commit();
        }
    }
}