<?php
namespace HCM\Geral\Repository\Esocial;

use Doctrine\DBAL\Connection;
use Doctrine\ORM\EntityManager;
use HCM\Util\HCMParameters;

class S2306Repository {

    protected  $connection;

    public function __construct(EntityManager $entityManager, HCMParameters $hcmParameters) {
        $this->connection = $entityManager->getConnection();
        $this->entityManager = $entityManager;
        $this->hcmParameters = $hcmParameters;
    }
    
    public function getItensParaEnvioS2306($params) {
        try {
            $sql = <<<SQL
SELECT VH.NRVINCULOM as NRCHAVE,
       VH.NRVINCULOM,
       'A' as IDOPERACAO,
       NVL(VM.DTESOCIAL,VH.DTMESCOMPETENC) as DTMESCOMPETENC
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRORG = VM.NRORG
                      AND VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.DTMESCOMPETENC = (SELECT * FROM(SELECT H1.DTMESCOMPETENC FROM GPE_VINCULOH H1
                                                WHERE H1.NRVINCULOM = VH.NRVINCULOM
                                                  AND H1.NRORG = VH.NRORG
                                                  AND H1.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                  ORDER BY H1.DTMESCOMPETENC DESC)WHERE ROWNUM = 1)
 WHERE VM.NRORG = :P_NRORG
   AND VH.NRESTRUTLEGAL = :P_NRESTRUTURAM
   AND VM.DTADMISSAOVINC <= LAST_DAY(:P_DTMESCOMPETENC)
   AND (VM.DTRESCISAOVINC IS NULL OR VM.DTRESCISAOVINC >= :P_DTMESCOMPETENC)
   AND  VM.NRTIPOVINCULOM IN (2,3,10) --Estagiario, Socio, Autonomo
   AND EXISTS (SELECT 1 /*Que existe evento de admissao*/
                 FROM ESO_ENVIOCADASTROS EC
                 JOIN ESO_EVENTO EV ON EV.NREVENTO = EC.NREVENTO
                                   AND EV.NMEVENTO IN ('S-2190','S-2300')
                 /*VERIFICA EMPRESAS DO MESMO GRUPO - CNPJ RAIZ*/
                 JOIN ESTRUTURAH EVH ON EVH.NRORG = EC.NRORG
                                    AND EVH.NRESTRUTURAM = EC.NRESTRUTURAM
                                    AND SUBSTR(REPLACE(REPLACE(REPLACE(EVH.CDCNPJESTRUT,'.'),'/'),'-'),1,8) = SUBSTR(REPLACE(REPLACE(REPLACE(:P_CDCNPJEMPREGADOR,'.'),'/'),'-'),1,8)
                                    AND EVH.DTMESCOMPETENC = (SELECT * FROM(SELECT H1.DTMESCOMPETENC FROM ESTRUTURAH H1
                                                               WHERE H1.NRORG = EVH.NRORG
                                                                 AND H1.NRESTRUTURAM = EVH.NRESTRUTURAM
                                                                 AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                                 ORDER BY H1.DTMESCOMPETENC DESC)WHERE ROWNUM = 1)
                WHERE EC.NRORG = VM.NRORG
                  AND EC.NRCHAVE = VM.NRVINCULOM
                  AND EC.IDATIVO = 'S' /*QUE ESTIVER ATIVO*/
                  AND (EC.IDSTATUS = 'C' OR EC.IDSTATUS = 'A') /*QUE ESTIVER CONCLUIDO*/
                  AND EC.NRENVIOEXCL IS NULL /*QUE NAO FOI EXCLUIDO*/
                  AND EC.NRTPAMBIENTE = :P_NRTPAMBIENTE
                  AND EC.DTMESCOMPETENC < NVL(VM.DTESOCIAL,VH.DTMESCOMPETENC)
               UNION ALL
               SELECT 1 /*Que existe evento de admissao*/
                 FROM ESO_NAOPERIODICO EC
                 /*VERIFICA EMPRESAS DO MESMO GRUPO - CNPJ RAIZ*/
                 JOIN ESTRUTURAH EVH ON EVH.NRORG = EC.NRORG
                                    AND EVH.NRESTRUTURAM = EC.NRESTRUTURAM
                                    AND SUBSTR(REPLACE(REPLACE(REPLACE(EVH.CDCNPJESTRUT,'.'),'/'),'-'),1,8) = SUBSTR(REPLACE(REPLACE(REPLACE(:P_CDCNPJEMPREGADOR,'.'),'/'),'-'),1,8)
                                    AND EVH.DTMESCOMPETENC = (SELECT * FROM(SELECT H1.DTMESCOMPETENC FROM ESTRUTURAH H1
                                                               WHERE H1.NRORG = EVH.NRORG
                                                                 AND H1.NRESTRUTURAM = EVH.NRESTRUTURAM
                                                                 AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                                 ORDER BY H1.DTMESCOMPETENC DESC)WHERE ROWNUM = 1)
                WHERE EC.NRORG = VM.NRORG
                  AND EC.NRCHAVE = VM.NRVINCULOM
                  AND EC.NMEVENTO IN ('S-2190','S-2300')
                  AND EC.IDATIVO = 'S' /*QUE ESTIVER ATIVO*/
                  AND (EC.IDSTATUS = 'C' OR EC.IDSTATUS = 'A') /*QUE ESTIVER CONCLUIDO*/
                  AND EC.NRENVIOEXCL IS NULL /*QUE NAO FOI EXCLUIDO*/
                  AND EC.NRTPAMBIENTE = :P_NRTPAMBIENTE
                  AND EC.DTMESCOMPETENC < NVL(VM.DTESOCIAL,VH.DTMESCOMPETENC))
   AND NOT EXISTS (SELECT 1 /*NAO EXISTE EVENTO DE DESLIGAMENTO CONCLUIDO*/
                     FROM ESO_ENVIOCADASTROS EC
                     JOIN ESO_EVENTO EV ON EV.NREVENTO = EC.NREVENTO
                                       AND EV.NMEVENTO = 'S-2399'
                     /*VERIFICA EMPRESAS DO MESMO GRUPO - CNPJ RAIZ*/
                     JOIN ESTRUTURAH EVH ON EVH.NRORG = EC.NRORG
                                        AND EVH.NRESTRUTURAM = EC.NRESTRUTURAM
                                        AND SUBSTR(REPLACE(REPLACE(REPLACE(EVH.CDCNPJESTRUT,'.'),'/'),'-'),1,8) = SUBSTR(REPLACE(REPLACE(REPLACE(:P_CDCNPJEMPREGADOR,'.'),'/'),'-'),1,8)
                                        AND EVH.DTMESCOMPETENC = (SELECT * FROM(SELECT H1.DTMESCOMPETENC FROM ESTRUTURAH H1
                                                                   WHERE H1.NRORG = EVH.NRORG
                                                                     AND H1.NRESTRUTURAM = EVH.NRESTRUTURAM
                                                                     AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                                     ORDER BY H1.DTMESCOMPETENC DESC)WHERE ROWNUM = 1)
                    WHERE EC.NRORG = VM.NRORG
                      AND EC.NRCHAVE = VM.NRVINCULOM
                      AND EC.IDATIVO = 'S' /*QUE ESTIVER ATIVO*/
                      AND (EC.IDSTATUS = 'C' OR EC.IDSTATUS = 'A') /*QUE ESTIVER CONCLUIDO*/
                      AND EC.NRENVIOEXCL IS NULL /*QUE NAO FOI EXCLUIDO*/
                      AND EC.NRTPAMBIENTE = :P_NRTPAMBIENTE
                      AND EC.DTMESCOMPETENC <= NVL(VM.DTESOCIAL,VH.DTMESCOMPETENC)
                   UNION ALL
                   SELECT 1 /*NAO EXISTE EVENTO DE DESLIGAMENTO CONCLUIDO*/
                     FROM ESO_NAOPERIODICO EC
                     /*VERIFICA EMPRESAS DO MESMO GRUPO - CNPJ RAIZ*/
                     JOIN ESTRUTURAH EVH ON EVH.NRORG = EC.NRORG
                                        AND EVH.NRESTRUTURAM = EC.NRESTRUTURAM
                                        AND SUBSTR(REPLACE(REPLACE(REPLACE(EVH.CDCNPJESTRUT,'.'),'/'),'-'),1,8) = SUBSTR(REPLACE(REPLACE(REPLACE(:P_CDCNPJEMPREGADOR,'.'),'/'),'-'),1,8)
                                        AND EVH.DTMESCOMPETENC = (SELECT * FROM(SELECT H1.DTMESCOMPETENC FROM ESTRUTURAH H1
                                                                   WHERE H1.NRORG = EVH.NRORG
                                                                     AND H1.NRESTRUTURAM = EVH.NRESTRUTURAM
                                                                     AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                                     ORDER BY H1.DTMESCOMPETENC DESC)WHERE ROWNUM = 1)
                    WHERE EC.NRORG = VM.NRORG
                      AND EC.NRCHAVE = VM.NRVINCULOM
                      AND EC.NMEVENTO IN ('S-2399')
                      AND EC.IDATIVO = 'S' /*QUE ESTIVER ATIVO*/
                      AND (EC.IDSTATUS = 'C' OR EC.IDSTATUS = 'A') /*QUE ESTIVER CONCLUIDO*/
                      AND EC.NRENVIOEXCL IS NULL /*QUE NAO FOI EXCLUIDO*/
                      AND EC.NRTPAMBIENTE = :P_NRTPAMBIENTE
                      AND EC.DTMESCOMPETENC <= NVL(VM.DTESOCIAL,VH.DTMESCOMPETENC))
   AND (VM.NRVINCULOM = :P_NRVINCULOM OR :P_NRVINCULOM IS NULL)
   AND (NVL(VM.DTESOCIAL,VH.DTMESCOMPETENC) >= :P_DTREFNAOPERIOD OR :P_DTREFNAOPERIOD IS NULL)
 ORDER BY 4,1
SQL;
            $params = array(
                "P_NRORG" => $this->hcmParameters->getNrorgTrabalho(),
                "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
                "P_CDCNPJEMPREGADOR" => isset($params['CDCNPJEMPREGADOR']) ? $params['CDCNPJEMPREGADOR'] : null,
                "P_NRESTRUTURAM" => isset($params['NRESTRUTURAM']) ? $params['NRESTRUTURAM'] : null,
                "P_NRTPAMBIENTE" => isset($params['NRTPAMBIENTE']) ? $params['NRTPAMBIENTE'] : null,
                "P_NRVINCULOM" => isset($params['NRVINCULOM']) ? $params['NRVINCULOM'] : null,
                "P_DTREFNAOPERIOD" => isset($params['DTREFNAOPERIOD']) ? $params['DTREFNAOPERIOD'] : null,
            );
            return $this->connection->fetchAll($sql, $params);
        } catch (\Exception $e) {
            throw $e;
        }
    }

    public function getDadosS2306($parametros) {
        try {
            $dataHistorico = \HCM\Util\DateUtil::getDataDeString($parametros['DTMESCOMPETENC'], \HCM\Util\DateUtil::FORMATO_BRASILEIRO_DATAHORA, true)->format("d/m/Y");
            
            /* Se for retificação do evento utiliza a data de envio do original para considerar as mesmas situações da época do primeiro envio */
            $dataEnvioOrig = null;
            if ($parametros['IDOPERACAO'] == 'R') {
                $dataEnvioOrig = $parametros['DTRESPOSTAORIG'];
            }
            
            $dados = $this->getDadosPrincipais($parametros['NRENVIO'], $parametros['NRCHAVE'], $parametros['NRESTRUTURAM'], $parametros['NRTPAMBIENTE'], $dataHistorico, $dataEnvioOrig);
            return $dados;
        } catch(\Exception $e) {
            throw $e;
        }
    }

    public function getDadosPrincipais($nrenvio, $nrchave, $nrestruturam, $nrtpambiente, $dtmescompetenc, $dataEnvioOrig) {
        $sql = <<<SQL
/*getDadosS2306*/
SELECT VM.NRVINCULOM CHAVE,
       --ideEmpregador
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') tpInsc,
       CASE WHEN PAR.CDTIPOINSCRICAO = 'CPF' OR EMH.CDNATUJURI IN ('1015','1040','1074','1163') THEN PAR.NRINSCRICAOPARC ELSE SUBSTR(PAR.NRINSCRICAOPARC,1,8) END nrInsc,
       --ideTrabSemVinculo
       REPLACE(REPLACE(PH.NRCPFPESSOA,'.'),'-') cpfTrab,
       DECODE(NP.NRENVIO,NULL,NULL,NVL(VH.CDMATRICULAESOCIAL, VM.NRVINCULOM)) matricula,
       DECODE(NP.NRENVIO,NULL,CE.CDESOCIAL,NULL) codCateg,
       --infoTSVAlteracao
       TO_CHAR(NVL(VM.DTESOCIAL,VH.DTULTATU),'YYYY-MM-DD') dtAlteracao,
       CASE WHEN CE.CDESOCIAL IN ('201','202','401','731','734','738') THEN (CASE WHEN VM.NRVINCULOEMPREG IN ('3','4','12','13') THEN '2' ELSE '1' END) ELSE '' END natAtividade,
       --infoComplementares
       --cargoFuncao
       CH.NMOCUPACAOH nmCargo,
       CH.NRCBO CBOCargo,
       FH.NMOCUPACAOH nmFuncao,
       FH.NRCBO CBOFuncao,
       --remuneracao
       CASE WHEN CE.CDESOCIAL IN ('701','711','712','721','722') THEN ROUND(SL.VRSALARIO, 2) ELSE NULL END vrSalFx,
       CASE WHEN CE.CDESOCIAL IN ('701','711','712','721','722') THEN DECODE(SL.IDTPSALARIO,'HORA','1','DIARIO','2','SEMANAL','3','QUINZENAL','4','MENSAL','5','TAREFA','6','7') ELSE '' END undSalFixo,
       CASE WHEN CE.CDESOCIAL IN ('701','711','712','721','722') THEN SUBSTR(SL.DSOBSERVACAO,1,90) ELSE '' END dscSalVar,
       --infoDirigenteSindical
       DECODE(CE.CDESOCIAL,'401',VH.NRTPREGIMEPREV,'') tpRegPrev,
       --infoTrabCedido
       DECODE(CE.CDESOCIAL,'410',VH.NRTPREGIMEPREV,'') infoTrabCedido_tpRegPrev,
       --infoEstagiario
       DECODE(CE.CDESOCIAL,'901','N','') natEstagio,
       DECODE(CE.CDESOCIAL,'901',DECODE(GI.CDESOCIAL,'02','1','03','1','04','1','05','1','06','2','07','2','08','4','09','4','8'),'') nivEstagio,
       DECODE(CE.CDESOCIAL,'901','','') areaAtuacao,
       DECODE(CE.CDESOCIAL,'901','','') nrApol,
       DECODE(CE.CDESOCIAL,'901',TO_CHAR(VH.DTFIMCONTRDETERMIN,'YYYY-MM-DD'),'') dtPrevTerm,
       --instEnsino
       DECODE(CE.CDESOCIAL,'901',REPLACE(REPLACE(REPLACE(IEH.CDCNPJESTRUT,'.'),'/'),'-'),'') cnpjInstEnsino,
       DECODE(CE.CDESOCIAL,'901',DECODE(IEH.CDCNPJESTRUT,NULL,NVL(IEH.NMRAZSOCESTRUT,FO.DSINSTITUICAO),''),'') nmRazao,
       DECODE(CE.CDESOCIAL,'901',DECODE(IEH.CDCNPJESTRUT,NULL,IEE.DSENDERECO,''),'') instEnsino_dscLograd,
       DECODE(CE.CDESOCIAL,'901',DECODE(IEH.CDCNPJESTRUT,NULL,IEE.NRIMOVELENDERECO,''),'') instEnsino_nrLograd,
       DECODE(CE.CDESOCIAL,'901',DECODE(IEH.CDCNPJESTRUT,NULL,IEE.NMBAIRROENDERECO,''),'') instEnsino_bairro,
       DECODE(CE.CDESOCIAL,'901',DECODE(IEH.CDCNPJESTRUT,NULL,REPLACE(REPLACE(REPLACE(IEE.NRCEPENDERECO,' '),'.'),'-'),''),'') instEnsino_cep,
       DECODE(CE.CDESOCIAL,'901',DECODE(IEH.CDCNPJESTRUT,NULL,MIE.CDMUNICIBGE,''),'') instEnsino_codMunic,
       DECODE(CE.CDESOCIAL,'901',DECODE(IEH.CDCNPJESTRUT,NULL,IEE.SGESTADO,''),'') instEnsino_uf,
       --ageIntegracao
       --localTrabalho
       --localTrabGeral
       CASE WHEN CE.CDESOCIAL LIKE'2%' OR CE.CDESOCIAL LIKE'4%' OR CE.CDESOCIAL IN('304','305','721','722','723','731','734','738','761','771','901','902',906) THEN DECODE(PN.CDTIPOINSCRICAO,'CNPJ','1','CPF',DECODE(ET.CDCAEPFESTRUT,NULL,'2','3'),'') ELSE NULL END AS LOCALTRABGER_TPINSC,
       CASE WHEN CE.CDESOCIAL LIKE'2%' OR CE.CDESOCIAL LIKE'4%' OR CE.CDESOCIAL IN('304','305','721','722','723','731','734','738','761','771','901','902',906) THEN DECODE(PN.CDTIPOINSCRICAO,'CPF',DECODE(ET.CDCAEPFESTRUT,NULL,PN.NRINSCRICAOPARC,ET.CDCAEPFESTRUT),PN.NRINSCRICAOPARC) END AS LOCALTRABGER_NRINSC,
       CASE WHEN CE.CDESOCIAL LIKE'2%' OR CE.CDESOCIAL LIKE'4%' OR CE.CDESOCIAL IN('304','305','721','722','723','731','734','738','761','771','901','902',906) THEN PN.NMPRINCIPALPARC END AS LOCALTRABGER_DESCCOMP,
       --supervisorEstagio
       DECODE(CE.CDESOCIAL,'901',PNS.NRINSCRICAOPARC,'') cpfSupervisor,
       VM.NRVINCULOM, PE.NRORG, PE.NRPARCNEGOCIO
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOEMPREG VE ON VE.NRVINCULOEMPREG = VM.NRVINCULOEMPREG
  LEFT JOIN GPE_CATEGTRABESOC CE ON CE.NRCATEGESOC = VE.NRCATEGESOC
  JOIN GPE_TIPOVINCULOH VT ON VT.NRTIPOVINCULOM = VM.NRTIPOVINCULOM
                          AND (VT.NRORG = VM.NRORG OR VT.NRORG = 0 OR VT.NRORG IS NULL)
                          AND VT.IDVINCULOEMPR = 'S'
                          AND VT.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_TIPOVINCULOH
                                                    WHERE GPE_TIPOVINCULOH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                      AND GPE_TIPOVINCULOH.NRTIPOVINCULOM = VT.NRTIPOVINCULOM
                                                      AND GPE_TIPOVINCULOH.NRORG = VT.NRORG)
  JOIN GPE_VINCULOH VH ON VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.NRORG = VM.NRORG
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH
                                                WHERE GPE_VINCULOH.DTMESCOMPETENC <= :P_DTHISTORICO
                                                  AND GPE_VINCULOH.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTHISTORICO),'YEAR'),-12)
                                                  AND GPE_VINCULOH.NRVINCULOM = VH.NRVINCULOM
                                                  AND GPE_VINCULOH.NRORG = VH.NRORG)
  JOIN GPE_PESSOA PE ON VM.NRPESSOA = PE.NRPESSOA
                    AND VM.NRORG    = PE.NRORG
  JOIN GPE_PESSOAH PH ON PE.NRPESSOA = PH.NRPESSOA
                     AND PE.NRORG    = PH.NRORG
                     AND PH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH
                                               WHERE GPE_PESSOAH.DTMESCOMPETENC <= :P_DTHISTORICO
                                                 AND GPE_PESSOAH.NRPESSOA = PH.NRPESSOA
                                                 AND GPE_PESSOAH.NRORG = PH.NRORG)
  /*Grau Instrução*/
  LEFT JOIN GPE_GRAUINSTR GI ON GI.NRGRAUINSTR = PH.NRGRAUINSTR
                            AND (GI.NRORG = PH.NRORG OR GI.NRORG = 0)
  /*Estrutura*/
  JOIN ESTRUTURAM EMP ON EMP.NRORG = :P_NRORG
                     AND EMP.NRESTRUTURAM = :P_NRESTRUTURAM
                     
  /*Local de Trabalho*/
  LEFT JOIN ESTRUTURAH ET ON ET.NRESTRUTURAM = VH.NRESTRUTLEGAL
                    AND ET.NRORG = VH.NRORG
                    AND ET.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE ESTRUTURAH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                AND ESTRUTURAH.NRESTRUTURAM = ET.NRESTRUTURAM
                                                AND ESTRUTURAH.NRORG = ET.NRORG)
  JOIN PARCNEGOCIO PN ON PN.NRPARCNEGOCIO = ET.NRPARCNEGOCIO
                     AND PN.NRORG = ET.NRORG
  /*Cargo*/
  LEFT JOIN GPE_OCUPACAOH CH ON CH.NROCUPACAOM = VH.NRCARGO
                            AND CH.NRORG = VH.NRORG
                            AND CH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_OCUPACAOH
                                                      WHERE GPE_OCUPACAOH.DTMESCOMPETENC <= LAST_DAY(:P_DTMESCOMPETENC)
                                                        AND GPE_OCUPACAOH.NROCUPACAOM = CH.NROCUPACAOM
                                                        AND GPE_OCUPACAOH.NRORG = CH.NRORG)
  /*Função*/
  LEFT JOIN GPE_OCUPACAOH FH ON FH.NROCUPACAOM = VH.NRFUNCAO
                            AND FH.NRORG = VH.NRORG
                            AND FH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_OCUPACAOH
                                                      WHERE GPE_OCUPACAOH.DTMESCOMPETENC <= LAST_DAY(:P_DTMESCOMPETENC)
                                                        AND GPE_OCUPACAOH.NROCUPACAOM = FH.NROCUPACAOM
                                                        AND GPE_OCUPACAOH.NRORG = FH.NRORG)
  /*Salário*/
  LEFT JOIN GPE_ALTESALARIO SL ON SL.NRVINCULOM = VM.NRVINCULOM
                              AND SL.NRORG = VM.NRORG
                              AND SL.DTALTESALARIO = (SELECT MAX(DTALTESALARIO) FROM GPE_ALTESALARIO
                                                       WHERE GPE_ALTESALARIO.DTALTESALARIO <= LAST_DAY(:P_DTMESCOMPETENC)
                                                         AND GPE_ALTESALARIO.NRVINCULOM = SL.NRVINCULOM
                                                         AND GPE_ALTESALARIO.NRORG = SL.NRORG)
                              AND SL.NROCORRENCIA =  (SELECT MAX(NROCORRENCIA) FROM GPE_ALTESALARIO
                                                       WHERE GPE_ALTESALARIO.DTALTESALARIO = SL.DTALTESALARIO
                                                         AND GPE_ALTESALARIO.NRVINCULOM = SL.NRVINCULOM
                                                         AND GPE_ALTESALARIO.NRORG = SL.NRORG)
  /*Horário*/
  LEFT JOIN GPE_ESCALATRABH EH ON EH.NRESCALATRABM = VH.NRESCALATRABM
                              AND EH.NRORG = VH.NRORG
                              AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_ESCALATRABH
                                                        WHERE GPE_ESCALATRABH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                          AND GPE_ESCALATRABH.NRESCALATRABM = EH.NRESCALATRABM
                                                          AND GPE_ESCALATRABH.NRORG = EH.NRORG)
  /*Empregador*/
  JOIN ESTRUTURAH EMH ON EMH.NRORG = :P_NRORG
                     AND EMH.NRESTRUTURAM = :P_NRESTRUTURAM
                     AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                                WHERE DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                  AND NRESTRUTURAM = EMH.NRESTRUTURAM
                                                  AND NRORG = EMH.NRORG)    
  LEFT JOIN PTO_TIPOJORNADA TJ ON TJ.NRTPJORNADA = EH.NRTPJORNADA
                              AND (TJ.NRORG = EH.NRORG OR TJ.NRORG = 0)
  /*Sindicato*/
  LEFT JOIN ESTRUTURAH ES ON ES.NRESTRUTURAM = VH.NRESTRUTSIND
                         AND ES.NRORG = VH.NRORG
                         AND ES.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                                   WHERE ESTRUTURAH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                     AND ESTRUTURAH.NRESTRUTURAM = ES.NRESTRUTURAM
                                                     AND ESTRUTURAH.NRORG = ES.NRORG)
  /*Instituição Ensino*/
  LEFT JOIN DES_FORMACAO FO ON FO.NRORG = PE.NRORG
                           AND FO.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
                           AND FO.DTINICIO = (SELECT MAX(DTINICIO) FROM DES_FORMACAO
                                               WHERE NRORG = PE.NRORG
                                                 AND NRPARCNEGOCIO = PE.NRPARCNEGOCIO
                                                 AND DTINICIO <= LAST_DAY(:P_DTMESCOMPETENC))
  LEFT JOIN ESTRUTURAM IEM ON IEM.NRORG = FO.NRORG
                          AND IEM.NRPARCNEGOCIO = FO.NRINSTITUICAOPARC
  LEFT JOIN ESTRUTURAH IEH ON IEH.NRORG = IEM.NRORG
                          AND IEH.NRESTRUTURAM = IEM.NRESTRUTURAM
                          AND IEH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                                     WHERE DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                       AND NRESTRUTURAM = IEH.NRESTRUTURAM
                                                       AND NRORG = IEH.NRORG)
  LEFT JOIN ENDERECOPARC IEE ON IEE.NRPARCNEGOCIO = IEH.NRPARCNEGOCIO
                            AND IEE.NRORG = IEH.NRORG
                            AND IEE.CDTIPOENDERECO = 'PRINCIPAL'
  LEFT JOIN MUNICIPIO MIE ON MIE.CDPAIS = IEE.CDPAIS
                         AND MIE.SGESTADO = IEE.SGESTADO
                         AND MIE.CDMUNICIPIO = IEE.CDMUNICIPIO
  LEFT JOIN PAIS PIE ON PIE.CDPAIS = IEE.CDPAIS
  /*Supervisor Estagio*/
  LEFT JOIN PARCNEGOCIO PNS ON PNS.NRPARCNEGOCIO = IEH.NRPARCRESPINF
                           AND PNS.NRORG = IEH.NRORG
  JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                      AND PAR.NRORG = EMH.NRORG
  /*Parametro do eSocial*/
  LEFT JOIN ESO_PARAMETRO PARAM ON PARAM.NRORG = :P_NRORG
                            AND PARAM.NRESTRUTURAM = :P_NRESTRUTURAM
                            AND PARAM.DTINIVIGENCIA <= :P_DTMESCOMPETENC
                            AND (PARAM.DTFIMVIGENCIA IS NULL OR PARAM.DTFIMVIGENCIA >= :P_DTMESCOMPETENC)
  /*Envio do S2300 na versão S-1.0*/
  LEFT JOIN ESO_NAOPERIODICO NP ON NP.NRORG = VM.NRORG
                               AND NP.NRVINCULOM = VM.NRVINCULOM
                               AND NP.NMEVENTO = 'S-2300'
                               AND NP.IDATIVO = 'S'
                               AND (NP.IDSTATUS = 'C' OR NP.IDSTATUS = 'A')
                               AND NP.NRENVIOEXCL IS NULL
                               AND NP.NRTPAMBIENTE = :P_NRTPAMBIENTE
 WHERE VM.NRORG = :P_NRORG
   AND (VM.DTRESCISAOVINC IS NULL OR VM.DTRESCISAOVINC >= :P_DTMESCOMPETENC)
   AND VM.NRTIPOVINCULOM IN (2,3,10) --Estagiario, Socio, Autonomo
   AND VM.NRVINCULOM = :P_NRCHAVE
SQL;
        $params = array(
            "P_NRORG" => $this->hcmParameters->getNrorgTrabalho(),
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_NRTPAMBIENTE" => $nrtpambiente,
            "P_INIVALIDADEAMBP" => $this->hcmParameters->getEsoIniValidNaoPerProducao(),
            "P_INIVALIDADEAMBPR" => $this->hcmParameters->getEsoIniValidNaoPerProdRest(),
            "P_INIVALIDADEAMBNS" => $this->hcmParameters->getEsoIniValidNaoPerNacioSimples(),
            "P_NRENVIO" => $nrenvio,
            "P_NRCHAVE" => $nrchave,
            "P_NRESTRUTURAM" => $nrestruturam,
            "P_DTHISTORICO" => $dtmescompetenc,
            "P_DTENVIOORIG" => $dataEnvioOrig,
        );
        return $this->connection->fetchAssoc($sql, $params);
    }

    public function getDadosS2306dependente($parametros) {
        try {
            $dados = $this->getDadosdependente($parametros['NRORG'], $parametros['NRPARCNEGOCIO'], $parametros['NRVINCULOM']);
            return $dados;
        } catch(\Exception $e) {
            throw $e;
        }
    }

    public function getDadosdependente($nrorg, $nrparcnegocio, $nrvinculom) {
        $sql = <<<SQL
/*getDadosS2306dependente*/
SELECT DISTINCT LPAD(T.CDESOCIAL,2,'0') tpDep,
       H.NMPESSOA nmDep,
       TO_CHAR(H.DTNASCPESSOA,'YYYY-MM-DD') dtNascto,
       REPLACE(REPLACE(H.NRCPFPESSOA, '.'), '-') cpfDep,
       NVL((SELECT 'S' FROM FPA_DEPVINCULO WHERE NRVINCULOM = :P_NRVINCULOM AND NRPESSOA = P.NRPESSOA AND NRORG = P.NRORG AND NRTIPODEPENDE = '2'),'N') depIRRF,
       NVL((SELECT 'S' FROM FPA_DEPVINCULO WHERE NRVINCULOM = :P_NRVINCULOM AND NRPESSOA = P.NRPESSOA AND NRORG = P.NRORG AND NRTIPODEPENDE = '1'),'N') depSF,
       DECODE(NVL(H.NRCONDFISPES,1),1,'N','S') incTrab
  FROM RELACIONAPARC R
  JOIN TIPORELACIONA T ON (T.NRORG = R.NRORG OR T.NRORG = 0)
                      AND T.NRTIPORELACIONA = R.NRTIPORELACIONA
  JOIN GPE_PESSOA P ON R.NRPARCNEGRELAC = P.NRPARCNEGOCIO
                   AND R.NRORG = P.NRORG
  JOIN GPE_PESSOAH H ON P.NRPESSOA = H.NRPESSOA
                    AND P.NRORG = H.NRORG
                    AND H.DTMESCOMPETENC = (SELECT * FROM(SELECT H1.DTMESCOMPETENC FROM GPE_PESSOAH H1
                                             WHERE H1.NRPESSOA = P.NRPESSOA
                                               AND H1.NRORG = P.NRORG
                                               AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                               ORDER BY H1.DTMESCOMPETENC DESC)WHERE ROWNUM = 1)
  JOIN FPA_DEPVINCULO D ON D.NRPESSOA = P.NRPESSOA
                       AND D.NRORG = P.NRORG
                       AND D.NRVINCULOM = :P_NRVINCULOM
 WHERE R.NRPARCNEGOCIO = :P_NRPARCNEGOCIO
    AND R.NRORG = :P_NRORG
SQL;
        $params = array(
            "P_NRORG" => $nrorg,
            "P_NRPARCNEGOCIO" => $nrparcnegocio,
            "P_NRVINCULOM" => $nrvinculom,
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
        );
        return $this->connection->fetchAll($sql, $params);
    }

}