<?php
namespace HCM\Geral\Repository;

use Doctrine\DBAL\Connection;
use Doctrine\ORM\EntityManager;
use HCM\Util\Repositories;

class PessoaRepository {
    
    protected  $connection;
    public function __construct(Connection $connection, EntityManager $entityManager) {
        $this->connection = $connection;
        $this->entityManager = $entityManager;
    }

    /**
     * @return array
     */

    public function getPessoaRelacionamentos($parameters, $conditions) {   
        
        $nrtiporelaciona = null;
        $nrorg  = $parameters[0];
        $dtmescompetenc  = $parameters[1];
        $nrorgpadrao  = $parameters[2];
        $nrpessoa  = $parameters[3];
        $idpessoaprinc  = $parameters[4];
        if(is_array($nrpessoa)){
            $nrpessoa = implode(",", $parameters[3]);
            $condition = "in";
        }else{
            $condition = '=';
        }
        if (sizeOf($parameters) === 6){
            $nrtiporelaciona = $parameters[5];
            if(is_array($nrtiporelaciona)){
                $nrtiporelaciona = implode(",", $parameters[5]);
                $condition = "in";
            }else{
                $condition = '=';
            }
        }
        $query = <<<SQL
        SELECT * FROM (
            SELECT
                PE.NRPESSOA,
                PH.NMPESSOA,
                PH.NMPESSOA AS NMPESSOAPRINC,
                PH.NRPESSOA AS NRPESSOAPRINC,
                PH.DTNASCPESSOA AS DTNASCIMENTO,
                PH.NRCPFPESSOA AS NRCPFPESSOA,
                PE.NRPARCNEGOCIO,
                NULL AS NRTIPORELACIONA,
                '' AS NMTIPORELACIONA     
            FROM
                GPE_PESSOA PE     
            JOIN
                GPE_PESSOAH PH 
                    ON PH.NRPESSOA = PE.NRPESSOA                        
                    AND PH.NRORG = PE.NRORG                        
                    AND PH.DTMESCOMPETENC = (
                        SELECT
                            MAX(DTMESCOMPETENC)                                                  
                    FROM
                        GPE_PESSOAH H1                                                  
                    WHERE
                        H1.NRPESSOA = PH.NRPESSOA                                                    
                        AND H1.NRORG = PH.NRORG                                                    
                        AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                )     
            WHERE
                PE.NRPESSOA $condition ($nrpessoa)     
                AND PE.NRORG = :P_NRORG     
                AND '$idpessoaprinc' = 'S'     
        
            UNION
        
            SELECT
                RELAC.NRPESSOA,
                RELACH.NMPESSOA,
                PH.NMPESSOA AS NMPESSOAPRINC,
                PH.NRPESSOA AS NRPESSOAPRINC,
                RELACH.DTNASCPESSOA AS DTNASCIMENTO,
                RELACH.NRCPFPESSOA AS NRCPFPESSOA,
                RELAC.NRPARCNEGOCIO,
                TR.NRTIPORELACIONA,
                TR.NMTIPORELACIONA     
            FROM
                GPE_PESSOA PRINC     
            JOIN
                GPE_PESSOAH PH 
                    ON PH.NRPESSOA = PRINC.NRPESSOA                        
                    AND PH.NRORG = PRINC.NRORG                        
                    AND PH.DTMESCOMPETENC = (
                        SELECT
                            MAX(DTMESCOMPETENC)                                                  
                    FROM
                        GPE_PESSOAH H1                                                  
                    WHERE
                        H1.NRPESSOA = PH.NRPESSOA                                                    
                        AND H1.NRORG = PH.NRORG                                                    
                        AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                    )
            JOIN
                PARCNEGOCIO PCN 
                    ON PCN.NRPARCNEGOCIO = PRINC.NRPARCNEGOCIO 
                    AND PCN.NRORG = PRINC.NRORG     
            JOIN
                RELACIONAPARC RP 
                    ON RP.NRPARCNEGOCIO = PRINC.NRPARCNEGOCIO                          
                    AND RP.NRORG = PRINC.NRORG     
            JOIN
                GPE_PESSOA RELAC 
                    ON RELAC.NRPARCNEGOCIO = RP.NRPARCNEGRELAC           
                    AND RELAC.NRORG = RP.NRORG     
            JOIN
                GPE_PESSOAH RELACH 
                    ON RELACH.NRPESSOA = RELAC.NRPESSOA           
                    AND RELACH.NRORG = RELAC.NRORG           
                    AND RELACH.DTMESCOMPETENC =  (
                        SELECT
                            MAX(DTMESCOMPETENC)              
                    FROM
                        GPE_PESSOAH H1              
                    WHERE
                        H1.NRPESSOA = RELACH.NRPESSOA                
                        AND H1.NRORG = RELACH.NRORG                
                        AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                )     
            JOIN
                TIPORELACIONA TR 
                    ON TR.NRTIPORELACIONA = RP.NRTIPORELACIONA           
                    AND (
                        TR.NRORG = RP.NRORG                
                        OR TR.NRORG = :P_NRORGPADRAO
                    )     
            WHERE
                PRINC.NRPESSOA $condition ($nrpessoa)     
                AND (INSTR(','||:P_NRTIPORELACIONA||',' , ','||TR.NRTIPORELACIONA||',') > 0 OR :P_NRTIPORELACIONA IS NULL)
                AND PRINC.NRORG = :P_NRORG
            ORDER BY
                NMPESSOAPRINC,
                NMPESSOA)
        WHERE 1 = 1
        $conditions
SQL;


        return $this->connection->fetchAll($query, array("P_DTMESCOMPETENC" => $dtmescompetenc,
                                                         "P_NRORG"            => $nrorg,
                                                         "P_NRORGPADRAO" => $nrorgpadrao,
                                                         "P_NRTIPORELACIONA" => $nrtiporelaciona));
    }

    public function retornaPessoaPorParceiro($nr_org, $nr_parcnegocio){
        $pessoa = $this->entityManager->getRepository(Repositories::GPE_PESSOA)->findOneBy(
            array('nrorg'=>$nr_org, 'nrparcnegocio'=>$nr_parcnegocio)
        );

        /*if (is_object($pessoa) === true) {
            $dao = $pessoa->getDao();
            $historico = self::_retornaUltimoHistorico($nr_org, $dao->NRPESSOA);
            $pessoa->historico = $historico;
        }*/

        return $pessoa;
    }

    public function retornaHistoricoAtualPorPessoa($nrorg, $nrpessoa, $dtmescompetenc){

        $qb = $this->entityManager->createQueryBuilder();
        $gpePessoah = Repositories::GPE_PESSOAH;
        $pessoah = $qb
            ->select('p')
            ->from($gpePessoah, 'p')
            ->where('p.nrorg = :nrorg')
            ->andWhere('p.nrpessoa = :nrpessoa')
            ->andWhere('p.dtmescompetenc <= :dtmescompetenc')
            ->orderBy('p.dtmescompetenc', 'DESC')
            ->setParameters(array('nrorg' => $nrorg, 'nrpessoa' => $nrpessoa, 'dtmescompetenc' => $dtmescompetenc))
            ->getQuery()
            ->getResult();
        return current($pessoah);
    }

    public function getTipoRelacionamentoPorPessoa($nrvinculom, $nrpessoa, $nrorg, $dtcompetencia){
        $query = <<<SQL
    SELECT 
        RP.NRTIPORELACIONA,
        PH.DTNASCPESSOA,
        PH.NMPESSOA,
        PH.IDSEXOPESSOA AS IDSEXOPESSOA
    FROM 
        GPE_VINCULOM VM
    JOIN 
        GPE_PESSOA P1
            ON(
                VM.NRPESSOA  = P1.NRPESSOA
                AND VM.NRORG = P1.NRORG
            )
    JOIN 
        RELACIONAPARC RP
            ON(
                P1.NRPARCNEGOCIO = RP.NRPARCNEGOCIO
                AND P1.NRORG     = RP.NRORG
            )
    JOIN
        GPE_PESSOA P2
            ON(
                P2.NRPESSOA          = :NRPESSOA
                AND P2.NRORG         = RP.NRORG
                AND P2.NRPARCNEGOCIO = RP.NRPARCNEGRELAC
            )
    LEFT JOIN 
        GPE_PESSOAH PH
            ON(
                PH.NRORG              = P2.NRORG
                AND PH.NRPESSOA       = P2.NRPESSOA
                AND PH.DTMESCOMPETENC = 
                                    (SELECT 
                                        MAX(PH2.DTMESCOMPETENC)
                                     FROM 
                                        GPE_PESSOAH PH2
                                     WHERE 
                                        PH2.NRORG              = PH.NRORG
                                        AND PH2.NRPESSOA       = PH.NRPESSOA
                                        AND PH2.DTMESCOMPETENC <= TO_DATE(:DTMESCOMPETENC, 'DD/MM/YYYY')
                                    )
            )
    WHERE
        VM.NRORG = :NRORG AND VM.NRVINCULOM = :NRVINCULOM
SQL;

        $retorno = $this->connection->fetchAssoc($query,[ 
                                                    "NRPESSOA"       => $nrpessoa,
                                                    "NRORG"          => $nrorg,
                                                    "NRVINCULOM"     => $nrvinculom,
                                                    "DTMESCOMPETENC" => $dtcompetencia
                                                   ]
                                           );
        return $retorno;
    }
    
    public function getRelacionadosPorVinculo($mesCompetencia, $vinculom, $nrorg, $filtro){
        
        $params = array('P_DTMESCOMPETENC' => $mesCompetencia,
                        'P_NRVINCULOM'     => $vinculom,
                        'P_NRORG'          => $nrorg);
        
        $query = "
        SELECT * 
          FROM (SELECT VM.NRVINCULOM,
                       PER.NRPESSOA, 
                       PERH.NMPESSOA,
                       TPR.NMTIPORELACIONA
                  FROM GPE_VINCULOM VM 
                  JOIN GPE_PESSOA PE ON PE.NRORG    = VM.NRORG
                        AND PE.NRPESSOA = VM.NRPESSOA
             LEFT JOIN RELACIONAPARC RP ON RP.NRORG           = VM.NRORG
                        AND RP.NRPARCNEGOCIO   = PE.NRPARCNEGOCIO 
                  JOIN GPE_PESSOA PER ON PER.NRORG         = VM.NRORG
                        AND PER.NRPARCNEGOCIO = RP.NRPARCNEGRELAC
             LEFT JOIN GPE_PESSOAH PERH ON PERH.NRORG    = VM.NRORG
                        AND PERH.NRPESSOA = PER.NRPESSOA
                        AND PERH.DTMESCOMPETENC = ( SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH
                                                     WHERE DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                       AND NRORG    = PERH.NRORG
                                                       AND NRPESSOA = PERH.NRPESSOA )
                  JOIN TIPORELACIONA TPR ON TPR.NRORG IN (0, VM.NRORG)
                        AND TPR.NRTIPORELACIONA = RP.NRTIPORELACIONA
                 WHERE VM.NRORG = :P_NRORG
                        AND VM.NRVINCULOM = :P_NRVINCULOM) A
        WHERE 1 = 1".$filtro;
            
    
    return $this->connection->fetchAll($query, $params);
    
    }
    
    public function verificarContaCorrente($nrParcNegocio, $nrOrg){
        
        $params = array(
            'P_NRORG'           => $nrOrg,
            'P_NRPARCNEGOCIO'   => $nrParcNegocio
        );
        
        $query = "
          SELECT 
            * 
          FROM 
            CONTCORRPARC
          WHERE 
            NRORG = :P_NRORG
            AND NRPARCNEGOCIO = :P_NRPARCNEGOCIO
            AND IDATIVO = 'S'";
            
    
    return $this->connection->fetchAll($query, $params);
    
    }

    public function validaCpfExistePessoaEOperador($cpf, $nrorg) {
        $sql = $this->entityManager->getConnection()->prepare(
            "SELECT 1
              FROM OPERADOR
             WHERE NRORG = :P_NRORG
               AND EXISTS (SELECT 1
                             FROM PARCNEGOCIO
                            WHERE NRORG = :P_NRORG
                              AND NRINSCRICAOPARC = :P_CPFSEMMASCARA
                              AND NRPARCNEGOCIO = OPERADOR.NRPARCNEGOCIO
                              AND CDTIPOINSCRICAO = 'CPF'
                              AND IDATIVO = 'S'
                              AND IDOPERATIVO = 'A')"
        );
        
        $sql->execute(['P_NRORG' => $nrorg,
                       'P_CPFSEMMASCARA' => $cpf]);
        
        return $sql->fetch();
    }
    
}