<?php
namespace HCM\Geral\Repository;

use Doctrine\DBAL\Connection;
use Doctrine\ORM\EntityManager;
use HCM\Util\Repositories;
use HCM\Util\Util;
use HCM\Util\HCMParameters;
use HCM\Geral\Repository\DateTime;
use HCM\Util\DateUtil;

class RemuneracaoOutrasFontesRepository {

    protected  $connection;
    public function __construct(Connection $connection, EntityManager $entityManager, HCMParameters $hcmParameters) {
        $this->connection       = $connection;
        $this->entityManager    = $entityManager;
        $this->hcmParameters    = $hcmParameters;
    }

    public function existeRemuneracao($row) {
        $sql = $this->entityManager->getConnection()->prepare(
            "SELECT REM.* 
            FROM ESO_REMUNOUTREMPR REM
            WHERE (REM.NRORG = :P_NRORG 
            AND REM.DTMESCOMPETENC = :P_DTMESCOMPETENC
            AND REM.NRPESSOA = :P_NRPESSOA
            AND REM.CDINSCOUTREMPR = :P_CDINSCOUTREMPR
            AND REM.NRTIPOMOVIMENT = :P_NRTIPOMOVIMENT
            )"
        );
        
        $sql->execute(
            array(
                'P_NRORG' => $row["NRORG"],
                'P_DTMESCOMPETENC' => substr($row["DTMESCOMPETENC"], 0, 10),
                'P_NRPESSOA' => $row["NRPESSOA"],
                'P_CDINSCOUTREMPR' => $row["CDINSCOUTREMPR"],
                'P_NRTIPOMOVIMENT' => $row["NRTIPOMOVIMENT"]
            )
        );
        
        return $sql->fetch();
    }
}
