<?php
/**
 * Created by PhpStorm.
 * User: felipesantos
 * Date: 08/08/2016
 * Time: 14:18
 */

namespace HCM\Geral\Services;


use HCM\Geral\Repository\RelatorioCustomizavelRepository;
use HCM\Util\DateUtil;

class RelatorioCustomizavelService {

    public function __construct(RelatorioCustomizavelRepository $relatorioCustomizavelRepository){
        $this->relatorioCustomizavelRepository = $relatorioCustomizavelRepository;
    }

    public function retornaRelatCustoValeTransporte($nrorgPadrao, $nrorg, $dtmescompetencia, $tipohierarquia, $condEstrutLegal, $condEstrutGeren, $listaVinc, $conditions, $condEstrutSup) {
        if ($tipohierarquia === null) {
            $tipohierarquia = "AND 1 = 2";
        } else {
            $tipohierarquia = "AND (HIERARQUIAORG.NRTIPOHIERARQORG = $tipohierarquia OR HIERARQUIAORG.NRTIPOHIERARQORG IS NULL)";
        }

        if ($condEstrutLegal === null) {
            $condEstrutLegal = "";
        } else {
            $valueLegal = implode(",", $condEstrutLegal);
            $condEstrutLegal = "AND VINCULOH.NRESTRUTLEGAL IN (".$valueLegal.")";
        }

        if ($condEstrutGeren === null) {
            $condEstrutGeren = "";
        } else {
            $valueGeren = implode(",", $condEstrutGeren);
            $condEstrutGeren = "AND VINCULOH.NRESTRUTGEREN IN (".$valueGeren.")";
        }

        if ($condEstrutSup === null) {
            $condEstrutSup = "";
        } else {
            $valueSup = implode(",", $condEstrutSup);
            $condEstrutSup = "AND ( INSTR(','|| '$valueSup'  ||',', ','||NRESTRUTSUPERIORM||',' ) > 0 OR '$valueSup' IS NULL )";
        }

        return $this->relatorioCustomizavelRepository->retornaDadosValeTransporte($nrorgPadrao, $nrorg, $dtmescompetencia, $tipohierarquia, $condEstrutLegal, $condEstrutGeren, $listaVinc, $conditions, $condEstrutSup);
    }

    public function retornaRelatCustoBeneficio($nrorgPadrao, $nrorg, $nrcalculobenef, $dtmescompetencia, $tipohierarquia, $condEstrutLegal, $condEstrutGeren, $condRescisaoVinc,
                                               $condAtivacaoBeneficio, $condAtivacaoBeneficiario, /*$listaVinc,*/ $conditions, $buttonFloatingSearch,
                                               $condListaEstrutLegal, $condListaEstrutGeren, $condListaEstrutSind, $condListaBeneficio, $condListaTpBeneficio, $condListaVinculo) {
    
        if ($tipohierarquia === null) {
            $tipohierarquia = "AND 1 = 2";
        } else {
            $tipohierarquia = "AND (HIERARQUIAORG.NRTIPOHIERARQORG = $tipohierarquia OR HIERARQUIAORG.NRTIPOHIERARQORG IS NULL)";
        }

        if ($condEstrutLegal === null) {
            $condEstrutLegal = "";
        } else {
            $condEstrutLegal = "AND GPE_VINCULOH.NRESTRUTLEGAL = ".$condEstrutLegal;
        }

        if ($condEstrutGeren === null) {
            $condEstrutGeren = "";
        } else {
            $condEstrutGeren = "AND GPE_VINCULOH.NRESTRUTGEREN = ".$condEstrutGeren;
        }

        return $this->relatorioCustomizavelRepository->retornaDadosBeneficio(
            $nrorgPadrao, $nrorg, $nrcalculobenef, $dtmescompetencia, $tipohierarquia, $condEstrutLegal, $condEstrutGeren, $condRescisaoVinc,
            $condAtivacaoBeneficio, $condAtivacaoBeneficiario, /*$listaVinc,*/ $conditions, $buttonFloatingSearch,
            $condListaEstrutLegal, $condListaEstrutGeren, $condListaEstrutSind, $condListaBeneficio, $condListaTpBeneficio, $condListaVinculo
        );
    }
    
    public function retornaRelatCustoBeneficioDirf($filters) {
        $conditions['P_DTINICIO'] = '';
        $conditions['P_DTFINAL' ] = '';
        $conditions['NRESTRUTLEGAL_LIST'] = 'A';
        $conditions['NRESTRUTGEREN_LIST'] = 'A';
        $conditions['NRVINCULOM_LIST'   ] = 'A';
        foreach($filters as $key => $condition) {
            switch($condition['columnName']) {
                case 'DTOCORRENCIA':
                    if(is_array($condition['value'])) {
                        $conditions['P_DTINICIO'] = $condition['value'][0];
                        $conditions['P_DTFINAL' ] = $condition['value'][1];
                    } else {
                        $conditions['P_DTINICIO'] = $condition['value'];
                        $conditions['P_DTFINAL' ] = $condition['value'];
                    }
                break;
                case 'NRESTRUTLEGAL_LIST':
                    $conditions['NRESTRUTLEGAL_LIST'] = is_array($condition['value']) ? '_'.implode('_', $condition['value']).'_' : 'A';
                break;
                case 'NRESTRUTGEREN_LIST':
                    $conditions['NRESTRUTGEREN_LIST'] = is_array($condition['value']) ? '_'.implode('_', $condition['value']).'_' : 'A';
                break;
                case 'NRVINCULOM_LIST':
                    $conditions['NRVINCULOM_LIST'   ] = is_array($condition['value']) ? '_'.implode('_', $condition['value']).'_' : 'A';
                break;
                default:
                    $conditions[$condition['columnName']] = $condition['value'];
            }
        }

        return $this->relatorioCustomizavelRepository->retornaDadosBeneficioDirf($conditions);
    }

    public function retornaRelatEscala($dtinicontagem, $nrorg, $nrvinculom, $conditions, $params) {
        
        $where = '';
        
        $dtcompetencia = DateUtil::setDay($dtinicontagem, '01');
        $dtcompetencia = $dtcompetencia->format('d/m/Y');

        if(isset($params['NRESTRUTLEGAL'])){
            $where .= ' AND VH.NRESTRUTLEGAL = '.$params['NRESTRUTLEGAL'];
        }
        
        if(isset($params['NRESTRUTGEREN'])){
            $where .= ' AND VH.NRESTRUTGEREN = '.$params['NRESTRUTGEREN'];
        }

        return $this->relatorioCustomizavelRepository->retornaRelatEscala($dtcompetencia, $dtinicontagem, $nrorg, $nrvinculom, $conditions, $where);
    }
  
} 