<?php
namespace HCM\SST\Repository;

use Doctrine\DBAL\Connection;
use Doctrine\ORM\EntityManager;

class FichaMedicaRepository {

    protected  $connection;
    public function __construct(Connection $connection, EntityManager $entityManager) {
        $this->connection    = $connection;
        $this->entityManager = $entityManager;
    }

    public function buscaFichaMedicaExamePorData($nrorg, $nrVinculom,$dtconclusao, $cdProcTuss ) {
        try {
            $sql = $this->entityManager->getConnection()->prepare( 
                "SELECT FIC.*,
                EXF.*
        FROM SST_FICHAMEDICA FIC
        JOIN SST_EXAMEFICHAMED EXF
            ON EXF.NRFICHAMEDICA = FIC.NRFICHAMEDICA
                AND EXF.NRORG = FIC.NRORG
        WHERE FIC.NRORG = :P_NRORG
                AND FIC.NRVINCULOM = :P_NRVINCULOM
                AND EXF.CDPROCTUSS = :P_CDPROCTUSS
                AND EXF.DTREALIZACAOEXAME = :P_DTCONCLUSAO"
                    );
                    
            $sql->execute(
                array(
                    "P_NRORG" => $nrorg,
                    "P_NRVINCULOM" => $nrVinculom,
                    "P_DTCONCLUSAO" => $dtconclusao,
                    "P_CDPROCTUSS" => $cdProcTuss

                )
            );
            
            return $sql->fetch();  
        } catch (\Exception $e) {
            throw $e;
        }
    }
} 

