<?php

namespace HCM\SST\Repository;

use Doctrine\ORM\EntityManager;
use HCM\Util\Util;

class RelatCustomSegTrabRepository {

    protected  $connection;
    public function __construct(EntityManager $entityManager) {
        $this->entityManager = $entityManager;
    }
 /**
     * @return array
     */

    public function getRelatCustomSegTrab($parameters, $whereDtefetiva) {
        if(!empty($whereDtefetiva)) {
            if(is_array($parameters['P_DTEFETIVA'])) {
                $parameters['P_DTEFETIVA1'] = $parameters['P_DTEFETIVA'][0];
                $parameters['P_DTEFETIVA2'] = $parameters['P_DTEFETIVA'][1];
                unset($parameters['P_DTEFETIVA']);
            }
        } else {
            $whereDtefetiva = 'AND (HEPI.DTEFETIVA = :P_DTEFETIVA OR :P_DTEFETIVA IS NULL)';
        }
        
        $sql = "    
SELECT 
    HEPI.*, 
    VM.NMVINCULOM, 
    VM.CDMATRICULA,
    TO_CHAR(VM.DTADMISSAOVINC, 'DD/MM/YYYY') DTADMISSAOVINC,
    TO_CHAR(VM.DTRESCISAOVINC,'DD/MM/YYYY') DTRESCISAOVINC,
    VH.CDMATRICULAESOCIAL,
    EPI.NMEPI,
    MEPI.NMTIPOMEDIDAEPI, 
    TEPI.NMTIPOEPI, 
    EPI.NRCTRLAPROVEPI,
    MDP.NMMOTIVODEVEPI AS DSMOTIVODEVEPI, 
    VH.NRESTRUTLEGAL, 
    EHL.NMESTRUTURAH NMESTRUTLEGAL,
    VH.NRESTRUTGEREN,  
    EHG.NMESTRUTURAH NMESTRUTGEREN,
    TPHO.NMTIPOHIERARQORG,
    EHS.NMESTRUTURAH NMESTRUTSUPERIORM
FROM 
    GPE_VINCULOM VM
    INNER JOIN GPE_VINCULOH VH ON VH.NRVINCULOM = VM.NRVINCULOM 
    AND VH.NRORG = VM.NRORG 
    AND VH.DTMESCOMPETENC = (
    SELECT 
      DTMESCOMPETENC 
    FROM 
      (
        SELECT 
          VHH.DTMESCOMPETENC 
        FROM 
          GPE_VINCULOH VHH 
        WHERE 
          VHH.NRORG = VH.NRORG 
          AND VHH.NRVINCULOM = VH.NRVINCULOM 
          AND VHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC 
        ORDER BY 
          VHH.DTMESCOMPETENC DESC
      ) 
    WHERE 
      ROWNUM = 1
    )
    INNER JOIN SST_HISTORICOEPI HEPI ON HEPI.NRORG = VM.NRORG
    AND HEPI.NRVINCULOM = VM.NRVINCULOM
    INNER JOIN SST_EPI EPI ON EPI.NREPI = HEPI.NREPI 
    AND EPI.NRORG = HEPI.NRORG 
    LEFT JOIN SST_MOTIVODEVEPI MDP ON (
    MDP.NRORG = HEPI.NRORG 
    OR MDP.NRORG = :P_NRORG_PADRAO
    ) 
    AND MDP.NRMOTIVODEVEPI = HEPI.NRMOTIVODEVEPI 
    INNER JOIN SST_TIPOMEDIDAEPI MEPI ON MEPI.NRTIPOMEDIDAEPI = EPI.NRTIPOMEDIDAEPI
    AND(
    EPI.NRORG = MEPI.NRORG 
    OR MEPI.NRORG = :P_NRORG_PADRAO
    ) 
    INNER JOIN SST_TIPOEPI TEPI ON TEPI.NRTIPOEPI = EPI.NRTIPOEPI
    AND(
    EPI.NRORG = TEPI.NRORG 
    OR TEPI.NRORG = :P_NRORG_PADRAO
    ) 
    LEFT JOIN ESTRUTURAM ESTRUTLEGAL ON ESTRUTLEGAL.NRESTRUTURAM = VH.NRESTRUTLEGAL 
    AND ESTRUTLEGAL.NRORG = VH.NRORG 
    LEFT JOIN ESTRUTURAH EHL ON EHL.NRORG = ESTRUTLEGAL.NRORG
    AND EHL.NRESTRUTURAM = ESTRUTLEGAL.NRESTRUTURAM
    AND EHL.DTMESCOMPETENC = (
    SELECT 
        DTMESCOMPETENC
    FROM
      (
        SELECT
            DTMESCOMPETENC 
        FROM 
            ESTRUTURAH
        WHERE 
            DTMESCOMPETENC  <= :P_DTMESCOMPETENC
            AND NRORG        = EHL.NRORG
            AND NRESTRUTURAM = EHL.NRESTRUTURAM 
        ORDER BY
            DTMESCOMPETENC DESC
        )
    WHERE
      ROWNUM = 1
    )
    LEFT JOIN ESTRUTURAM ESTRUTGEREN ON ESTRUTGEREN.NRESTRUTURAM = VH.NRESTRUTGEREN 
    AND ESTRUTGEREN.NRORG = VH.NRORG
    LEFT JOIN ESTRUTURAH EHG ON EHG.NRORG = ESTRUTGEREN.NRORG
    AND EHG.NRESTRUTURAM = ESTRUTGEREN.NRESTRUTURAM
    AND EHG.DTMESCOMPETENC = (
    SELECT
        DTMESCOMPETENC
    FROM
      ( 
        SELECT 
          DTMESCOMPETENC 
        FROM 
          ESTRUTURAH
        WHERE 
          DTMESCOMPETENC <= :P_DTMESCOMPETENC
          AND NRORG        = EHG.NRORG
          AND NRESTRUTURAM = EHG.NRESTRUTURAM 
        ORDER BY
          DTMESCOMPETENC DESC
      )
    WHERE
      ROWNUM = 1
    )
    /*Estrutura superior*/
    LEFT JOIN TIPOHIERARQORG TPHO ON TPHO.NRORG         = VM.NRORG
                            AND TPHO.NRTIPOHIERARQORG   = :P_NRTIPOHIERARQORG
    LEFT JOIN HIERARQUIAORG HO ON HO.NRORG            = VM.NRORG
                              AND HO.NRTIPOHIERARQORG = TPHO.NRTIPOHIERARQORG
                              AND HO.NRESTRUTURAMREL  = VH.NRESTRUTGEREN
                              AND HO.DTINIVIGENCIA    = ( SELECT DTINIVIGENCIA 
                                                          FROM ( SELECT DTINIVIGENCIA
                                                                 FROM HIERARQUIAORG
                                                                 WHERE NRORG            = HO.NRORG
                                                                   AND NRTIPOHIERARQORG = HO.NRTIPOHIERARQORG
                                                                   AND NRESTRUTURAMREL  = HO.NRESTRUTURAMREL
                                                                   AND DTINIVIGENCIA   <= :P_DTMESCOMPETENC
                                                                 ORDER BY DTINIVIGENCIA DESC )
                                                          WHERE ROWNUM = 1 )
    LEFT JOIN ESTRUTURAM EMS ON EMS.NRORG        = VM.NRORG
                            AND EMS.NRESTRUTURAM = HO.NRESTRUTURAMSUP
    LEFT JOIN ESTRUTURAH EHS ON EHS.NRORG          = EMS.NRORG
                            AND EHS.NRESTRUTURAM   = EMS.NRESTRUTURAM
                            AND EHS.DTMESCOMPETENC = ( SELECT DTMESCOMPETENC
                                                       FROM ( SELECT DTMESCOMPETENC
                                                              FROM ESTRUTURAH
                                                              WHERE NRORG        = EHS.NRORG
                                                              AND NRESTRUTURAM   = EHS.NRESTRUTURAM
                                                              AND DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                              ORDER BY DTMESCOMPETENC DESC )
                                                       WHERE ROWNUM = 1 )
    /*Fim Estrutura Superior*/
    LEFT JOIN GPE_OCUPACAOH OH ON OH.NRORG          = VH.NRORG
    AND OH.NROCUPACAOM    = VH.NRCARGO
    AND OH.DTMESCOMPETENC = (
    SELECT
        DTMESCOMPETENC
    FROM
      (
        SELECT 
            DTMESCOMPETENC 
        FROM 
            GPE_OCUPACAOH
        WHERE 
            NRORG           = OH.NRORG
            AND NROCUPACAOM     = VH.NRCARGO
            AND DTMESCOMPETENC <= TO_DATE(:P_DTMESCOMPETENC, 'DD/MM/YYYY') 
        ORDER BY
            DTMESCOMPETENC DESC
        )
    WHERE
      ROWNUM = 1
    )
WHERE VM.NRORG = :P_NRORG
    AND ( INSTR(','||:P_NRVINCULOM||',', ','||VM.NRVINCULOM||',' ) > 0
    OR :P_NRVINCULOM IS NULL )
    AND ( INSTR(','||:P_NRESTRUTLEGAL||',', ','||VH.NRESTRUTLEGAL||',' ) > 0
    OR :P_NRESTRUTLEGAL IS NULL )
    AND ( INSTR(','||:P_NRESTRUTGEREN||',', ','||VH.NRESTRUTGEREN||',' ) > 0
    OR :P_NRESTRUTGEREN IS NULL )
    AND ( INSTR(','||:P_NREPI||',', ','||HEPI.NREPI||',' ) > 0
    OR :P_NREPI IS NULL )
    AND ( INSTR(','||:P_NRESTRUTSUPERIORM||',', ','||EHS.NRESTRUTURAM||',' ) > 0 OR :P_NRESTRUTSUPERIORM IS NULL )
    AND (HEPI.QTFORNECIDAEPI = :P_QTFORNECIDAEPI OR :P_QTFORNECIDAEPI IS NULL)
    AND (HEPI.IDPROTECAOEFICAZ = :P_IDPROTECAOEFICAZ OR :P_IDPROTECAOEFICAZ IS NULL)
    $whereDtefetiva
    AND (HEPI.IDFICHAEPIASSINADA = :P_IDFICHAEPIASSINADA OR :P_IDFICHAEPIASSINADA IS NULL)
    AND (HEPI.NRMOTIVODEVEPI = :P_NRMOTIVODEVEPI OR :P_NRMOTIVODEVEPI IS NULL)
    AND (HEPI.DTDEVOLUCAO = :P_DTDEVOLUCAO OR :P_DTDEVOLUCAO IS NULL)
    AND ( INSTR(','||:P_NRTIPOEPI||',', ','||TEPI.NRTIPOEPI||',' ) > 0
    OR :P_NRTIPOEPI IS NULL )
    AND ( INSTR(','||:P_NRTIPOMEDIDAEPI||',', ','||MEPI.NRTIPOMEDIDAEPI||',' ) > 0
    OR :P_NRTIPOMEDIDAEPI IS NULL )
    ";
        
        $query = $this->entityManager->getConnection()->prepare($sql);
        
        $query->execute($parameters);
        
        return $query->fetchAll();
    }
}
        
 

