<?php

namespace HCM\SST\Services;

use HCM\SST\Repository\RelatCustomSegTrabRepository;
use Doctrine\ORM\EntityManager;
use HCM\Util\HCMParameters;


class RelatCustomSegTrabService {
    /** @var EntityManager */
    protected $entityManager;

     /**
     * @var RelatCustomSegTrabRepository
     */
    protected $RelatCustomSegTrabRepository;

     /** @var HCMParameters */
     protected $hcmParameters;

    public function __construct(
        EntityManager $entityManager,
        RelatCustomSegTrabRepository $RelatCustomSegTrabRepository,
        HcmParameters   $hcmParameters
    ) {
        $this->entityManager = $entityManager;
        $this->RelatCustomSegTrabRepository = $RelatCustomSegTrabRepository;
        $this->hcmParameters = $hcmParameters;
    }

    public function getRelatCustomSegTrab($filters) {
        $parameters = array(
            'P_NRORG'                   => '',
            'P_NRORG_PADRAO'            => '',
            'P_DTMESCOMPETENC'          => '',
            'P_NRESTRUTLEGAL'           => '',
            'P_NRESTRUTGEREN'           => '',
            'P_NRTIPOHIERARQORG'        => '',
            'P_NRESTRUTSUPERIORM'       => '',
            'P_NRVINCULOM'              => '',
            'P_NREPI'                   => '',
            'P_QTFORNECIDAEPI'          => '',
            'P_IDPROTECAOEFICAZ'        => '',
            'P_DTEFETIVA'               => '',
            'P_IDFICHAEPIASSINADA'      => '',
            'P_NRMOTIVODEVEPI'          => '',
            'P_DTDEVOLUCAO'             => '',
            'P_NRTIPOEPI'               => '',
            'P_NRTIPOMEDIDAEPI'         => '',
            );
            
            $whereDtefetiva = "";
           
            foreach ($filters as $filter) {
                switch($filter['columnName']){
                    case 'P_NRORG':                   $parameters['P_NRORG']                   = $filter['value']; break;
                    case 'P_NRORG_PADRAO':            $parameters['P_NRORG_PADRAO']            = $filter['value']; break;
                    case 'P_DTMESCOMPETENC':          $parameters['P_DTMESCOMPETENC']          = $filter['value']; break;
                    case 'NRESTRUTLEGAL':             $parameters['P_NRESTRUTLEGAL']           = is_array( $filter['value'] ) ? implode( $filter['value'], ',' ) : $filter['value']; break;
                    case 'NRESTRUTGEREN':             $parameters['P_NRESTRUTGEREN']           = is_array( $filter['value'] ) ? implode( $filter['value'], ',' ) : $filter['value']; break;
                    case 'NRTIPOHIERARQORG':          $parameters['P_NRTIPOHIERARQORG']        = $filter['value']; break;
                    case 'NRESTRUTSUPERIORM':         $parameters['P_NRESTRUTSUPERIORM']       = is_array( $filter['value'] ) ? implode( $filter['value'], ',' ) : $filter['value']; break;
                    case 'NRVINCULOM':                $parameters['P_NRVINCULOM']              = is_array( $filter['value'] ) ? implode( $filter['value'], ',' ) : $filter['value']; break;
                    case 'NREPI':                     $parameters['P_NREPI']                   = is_array( $filter['value'] ) ? implode( $filter['value'], ',' ) : $filter['value']; break;
                    case 'QTFORNECIDAEPI':            $parameters['P_QTFORNECIDAEPI']          = $filter['value']; break;
                    case 'IDPROTECAOEFICAZ':          $parameters['P_IDPROTECAOEFICAZ']        = $filter['value']; break;
                    case 'DTEFETIVA':                 $whereDtefetiva = $this->retornaWhereDtefetiva($filter);
                                                      $parameters['P_DTEFETIVA']               = $filter['value']; break;
                    case 'IDFICHAEPIASSINADA':        $parameters['P_IDFICHAEPIASSINADA']      = $filter['value']; break;
                    case 'NRMOTIVODEVEPI':            $parameters['P_NRMOTIVODEVEPI']          = $filter['value']; break;
                    case 'DTDEVOLUCAO':               $parameters['P_DTDEVOLUCAO']             = $filter['value']; break;
                    case 'NRTIPOEPI':                 $parameters['P_NRTIPOEPI']               = is_array( $filter['value'] ) ? implode( $filter['value'], ',' ) : $filter['value']; break;
                    case 'NRTIPOMEDIDAEPI':           $parameters['P_NRTIPOMEDIDAEPI']         = is_array( $filter['value'] ) ? implode( $filter['value'], ',' ) : $filter['value']; break;
                }
            }


        return $this->RelatCustomSegTrabRepository->getRelatCustomSegTrab($parameters, $whereDtefetiva);
      }
      
    private function retornaWhereDtefetiva($filter) {
        if($filter['operator'] != 'BETWEEN') {
            return 'AND (HEPI.DTEFETIVA = :P_DTEFETIVA)';
        }
          
        return 'AND (HEPI.DTEFETIVA BETWEEN :P_DTEFETIVA1 AND :P_DTEFETIVA2)';
    }
  
}