-- ============================================================
-- Database name: FOLHA
-- Created on: 24/06/2020 
-- ============================================================
-- ============================================================
-- TABLE: FPA_TIPOINCIDE
-- ============================================================
ALTER TABLE FPA_FORMGRRF ADD IDINFOCOMPL43 VARCHAR2(1) DEFAULT 'N' NOT NULL
  CONSTRAINT IDINFOCOMPL43_CHK CHECK (IDINFOCOMPL43 IN ('N','S'));
  
ALTER TABLE FPA_FORMGRRF ADD IDINFOCOMPL44 VARCHAR2(1) DEFAULT 'N' NOT NULL
  CONSTRAINT IDINFOCOMPL44_CHK CHECK (IDINFOCOMPL44 IN ('N','S'));
  
ALTER TABLE FPA_FORMGRRF ADD IDINFOCOMPL45 VARCHAR2(1) DEFAULT 'N' NOT NULL
  CONSTRAINT IDINFOCOMPL45_CHK CHECK (IDINFOCOMPL45 IN ('N','S'));
  
ALTER TABLE FPA_FORMGRRF ADD DTMESCOMPETENCLIST VARCHAR2(300) NULL;

-- ============================================================
-- TABLE: FPA_TIPOINCIDE
-- ============================================================
INSERT INTO FPA_TIPOINCIDE 
    (NRTIPOINCIDE,NMTIPOINCIDE,IDATIVO,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,NMABREVTIPOINC,NRORG,DSNRTIPOMOVIMENT,IDREPDSR,IDREPDECTERC,IDREPFERIAS,IDREPAVISO) 
 VALUES 
    ((SELECT MAX(NRTIPOINCIDE)+1 FROM FPA_TIPOINCIDE),'INCIDE PARA REMUNERACAO DE COMPETENCIAS ANTERIORES','S',SYSDATE,SYSDATE,'1','1','1','1',null,'0',null,'N','N','N','N');

UPDATE NOVOCODIGO SET NRSEQUENCIAL = (SELECT LPAD(MAX(NRTIPOINCIDE),20,'0') FROM FPA_TIPOINCIDE) WHERE CDCONTADOR = 'FPA_TIPOINCIDE' AND NRORG = 0;

-- ============================================================
-- TABLE: FPA_INCIDEVENTO
-- ============================================================
INSERT INTO FPA_INCIDEVENTO 
    (NRINCIDEVENTO,NRTIPOINCIDE,NREVENTOM,DTMESCOMPETENC,IDINCIDEVENTO,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,NRORG) 
 VALUES 
    ((SELECT MAX(NRINCIDEVENTO)+1 FROM FPA_INCIDEVENTO),(SELECT NRTIPOINCIDE FROM FPA_TIPOINCIDE WHERE NMTIPOINCIDE = 'INCIDE PARA REMUNERACAO DE COMPETENCIAS ANTERIORES'),'3060',to_date('01/01/2000'),'+',SYSDATE,SYSDATE,'1','1','1','1','0');

INSERT INTO FPA_INCIDEVENTO 
    (NRINCIDEVENTO,NRTIPOINCIDE,NREVENTOM,DTMESCOMPETENC,IDINCIDEVENTO,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,NRORG) 
 VALUES 
    ((SELECT MAX(NRINCIDEVENTO)+1 FROM FPA_INCIDEVENTO),(SELECT NRTIPOINCIDE FROM FPA_TIPOINCIDE WHERE NMTIPOINCIDE = 'INCIDE PARA REMUNERACAO DE COMPETENCIAS ANTERIORES'),'3120',to_date('01/01/2000'),'+',SYSDATE,SYSDATE,'1','1','1','1','0');

UPDATE NOVOCODIGO SET NRSEQUENCIAL = (SELECT LPAD(MAX(NRINCIDEVENTO),20,'0') FROM FPA_INCIDEVENTO) WHERE CDCONTADOR = 'FPA_INCIDEVENTO' AND NRORG = 0;

-- ============================================================
-- TABLE: FPA_GRPITEM
-- ============================================================
INSERT INTO FPA_GRPITEM 
    (NRGRPITEM,NRORG,NRGRPINCIDE,NRITEM,NMITEM,NRTIPOINCIDE,DSITEM,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,NREVENTOM,VRPERCENT,VRMULTIPLIC,VRDIVIDE,IDRETVALOR,IDREFGERAR,IDRETREFERENCIA,VRREFFIXO,VRPISOEVENTO,VRTETOEVENTO) 
 VALUES 
    ((SELECT MAX(NRGRPITEM)+1 FROM FPA_GRPITEM),'0','6','7','Informações Complementares',(SELECT NRTIPOINCIDE FROM FPA_TIPOINCIDE WHERE NMTIPOINCIDE = 'INCIDE PARA REMUNERACAO DE COMPETENCIAS ANTERIORES'),null,SYSDATE,SYSDATE,'1','1','1','1',null,'100','1','1','S','NENHUM','S','0',null,null);

UPDATE NOVOCODIGO SET NRSEQUENCIAL = (SELECT LPAD(MAX(NRGRPITEM),20,'0') FROM FPA_GRPITEM) WHERE CDCONTADOR = 'FPA_GRPITEM' AND NRORG = 0;