-- ============================================================
--   Database name:  FOLHA                                   
--   DBMS name:      ORACLE Version 12.x 
--   Created on:     14/04/2021  12:01                         
-- ============================================================

-- ============================================================
--   Table: PTO_MOTIVOSITUFUNC                                      
-- ============================================================
CREATE TABLE PTO_MOTIVOSITUFUNC
(
    NRORG               NUMBER                 NOT NULL,
    NRMOTIVOSITUFUNC    NUMBER                 NOT NULL,
    NRMOTIVOOCORFREQ    NUMBER                 NOT NULL,
    NRSITUFUNCM         NUMBER                 NOT NULL,
    IDATIVO             VARCHAR2(1 BYTE) DEFAULT 'S', 
    NRORGINCLUSAO       NUMBER            DEFAULT 1 NULL, 
    DTINCLUSAO          DATE                   NOT NULL,
    CDOPERINCLUSAO      VARCHAR2(12 BYTE) DEFAULT '1' NULL,
    NRORGULTATU         NUMBER            DEFAULT 1 NULL, 
    DTULTATU            DATE              NULL, 
    CDOPERULTATU        VARCHAR2(12 BYTE) DEFAULT '1' NULL, 	
    CONSTRAINT PK_PTO_MOTIVOSITUFUNC PRIMARY KEY (NRORG, NRMOTIVOSITUFUNC),
    CONSTRAINT CKC_IDATIVO_PTO_MOTIVOSITUFUNC CHECK (IDATIVO IN ('S','N')) ENABLE,
    CONSTRAINT FK_NRMOTIVOOCORFREQ FOREIGN KEY (NRORG, NRMOTIVOOCORFREQ)
	  REFERENCES PTO_MOTIVOOCORFREQ (NRORG, NRMOTIVOOCORFREQ) ENABLE,
    CONSTRAINT FK_NRSITUFUNCM FOREIGN KEY (NRSITUFUNCM)
	  REFERENCES GPE_SITUFUNCM (NRSITUFUNCM) ENABLE
)
/

-- ============================================================
--   Index: PTO00115_FK                                      
-- ============================================================
CREATE INDEX PTO00115_FK ON PTO_MOTIVOSITUFUNC (NRORG ASC, NRMOTIVOSITUFUNC ASC)
/

-- ============================================================
--   Table: PTO_PROGOCORRENCIA                                      
-- ============================================================
ALTER TABLE PTO_PROGOCORRENCIA ADD CDTABECDI VARCHAR2(7)
/

ALTER TABLE PTO_PROGOCORRENCIA ADD CDDIAGNOST VARCHAR2(10)
/

ALTER TABLE PTO_PROGOCORRENCIA ADD NRPESSOA NUMBER
/