-- ============================================================
--   Database name:  FOLHA                                   
--   DBMS name:      ORACLE Version 12.x 
--   Created on:     20/03/2024  13:30                     
--   Issue:          472900 - [3][HCM-SST] - Alteração da tela "Alteração da Situação funcional" (não esquecer aba da tela de Vinculo)

-- ============================================================
-- Table: SST_ESPECIEBENEFICIO
-- ============================================================

CREATE TABLE SST_ESPECIEBENEFICIO
(
    NRORG                 NUMBER          NOT NULL,
    NRESPECIEBENEFICIO    NUMBER          NOT NULL,
    CDESOCIAL             VARCHAR2(2)     NOT NULL,
    DSESPECIEBENEFICIO    VARCHAR2(200)   NOT NULL,
    NRGRUPOESPECIE        NUMBER          NOT NULL,
    IDATIVO               VARCHAR2(1)     DEFAULT 'S' NOT NULL
    CONSTRAINT CKC_IDATIVO_ESPECIEBENEFICIO CHECK (IDATIVO IN ('N','S')),
    DTINCLUSAO            DATE            DEFAULT SYSDATE NOT NULL,
    DTULTATU              DATE            NULL,
    NRORGINCLUSAO         NUMBER(22)      DEFAULT 1 NULL,
    CDOPERINCLUSAO        VARCHAR2(12)    DEFAULT '1' NULL,
    NRORGULTATU           NUMBER(22)      DEFAULT 1 NULL,
    CDOPERULTATU          VARCHAR2(12)    DEFAULT '1' NULL,
    CONSTRAINT PK_SST_NRESPECIEBENEFICIO PRIMARY KEY (NRESPECIEBENEFICIO),
    CONSTRAINT FK_ESPECIEBEN FOREIGN KEY(NRGRUPOESPECIE) REFERENCES SST_GRUPOESPECIE (NRGRUPOESPECIE)
);


INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU) VALUES (0, 1, '07', 'Aposentadoria por idade do trabalhador rural', 1, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU) VALUES (0, 2, '08', 'Aposentadoria por idade do empregador rural', 1, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU) VALUES (0, 3, '41', 'Aposentadoria por idade', 1, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU) VALUES (0, 4, '52', 'Aposentadoria por idade (Extinto Plano Básico)', 1, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU) VALUES (0, 5, '78', 'Aposentadoria por idade de ex-combatente marítimo (Lei nº 1.756/52)', 1, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU) VALUES (0, 6, '81', 'Aposentadoria por idade compulsória (Ex-SASSE)', 1, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU) VALUES (0, 7, '04', 'Aposentadoria por invalidez do trabalhador rural', 2, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU) VALUES (0, 8, '06', 'Aposentadoria por invalidez do empregador rural', 2, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU) VALUES (0, 9, '32', 'Aposentadoria por invalidez previdenciária', 2, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU) VALUES (0, 10, '33', 'Aposentadoria por invalidez de aeronauta', 2, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU) VALUES (0, 11, '34', 'Aposentadoria por invalidez de ex-combatente marítimo (Lei nº 1.756/52)', 2, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU) VALUES (0, 12, '51', 'Aposentadoria por invalidez (Extinto Plano Básico)', 2, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU) VALUES (0, 13, '83', 'Aposentadoria por invalidez (Ex-SASSE)', 2, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU) VALUES (0, 14, '42', 'Aposentadoria por tempo de contribuição previdenciária', 3, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU) VALUES (0, 15, '43', 'Aposentadoria por tempo de contribuição de ex-combatente', 3, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU) VALUES (0, 16, '44', 'Aposentadoria por tempo de contribuição de aeronauta', 3, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU) VALUES (0, 17, '45', 'Aposentadoria por tempo de contribuição de jornalista profissional', 3, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU) VALUES (0, 18, '46', 'Aposentadoria por tempo de contribuição especial', 3, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU) VALUES (0, 19, '49', 'Aposentadoria por tempo de contribuição ordinária', 3, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU) VALUES (0, 20, '57', 'Aposentadoria por tempo de contribuição de professor (Emenda Const.18/81)', 3, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 21, '72', 'Apos. por tempo de contribuição de ex-combatente marítimo (Lei 1.756/52)', 3, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 22, '82', 'Aposentadoria por tempo de contribuição (Ex-SASSE)', 3, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 23, '01', 'Pensão por morte do trabalhador rural', 4, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 24, '03', 'Pensão por morte do empregador rural', 4, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;

INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 25, '21', 'Pensão por morte previdenciária', 4, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 26, '23', 'Pensão por morte de ex-combatente', 4, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 27, '27', 'Pensão por morte de servidor público federal com dupla aposentadoria', 4, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 28, '28', 'Pensão por morte do Regime Geral (Decreto nº 20.465/31)', 4, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 29, '29', 'Pensão por morte de ex-combatente marítimo (Lei nº 1.756/52)', 4, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 30, '55', 'Pensão por morte (Extinto Plano Básico)', 4, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 31, '84', 'Pensão por morte (Ex-SASSE)', 4, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 32, '13', 'Auxílio-doença do trabalhador rural', 5, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 33, '15', 'Auxílio-reclusão do trabalhador rural', 5, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 34, '25', 'Auxílio-reclusão', 5, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 35, '31', 'Auxílio-doença previdenciário', 5, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 36, '36', 'Auxílio Acidente', 5, 'S', SYSDATE, 0, '1', 1, '1');
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 37, '50', 'Auxílio-doença  (Extinto Plano Básico)', 5, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 38, '02', 'Pensão por morte por acidente do trabalho do trabalhador rural', 6, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 39, '05', 'Aposentadoria por invalidez por acidente do trabalho do trabalhador Rural', 6, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 40, '10', 'Auxílio-doença por acidente do trabalho do trabalhador rural', 6, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 41, '91', 'Auxílio-doença por acidente do trabalho', 6, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 42, '92', 'Aposentadoria por invalidez por acidente do trabalho', 6, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 43, '93', 'Pensão por morte por acidente do trabalho', 6, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 44, '94', 'Auxílio-acidente por acidente do trabalho', 6, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 45, '95', 'Auxílio-suplementar por acidente do trabalho', 6, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 46, '11', 'Renda mensal vitalícia por invalidez do trabalhador rural (Lei nº 6.179/74)', 7, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 47, '12', 'Renda mensal vitalícia por idade do trabalhador rural (Lei nº 6.179/74)', 7, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 48, '30', 'Renda mensal vitalícia por invalidez (Lei nº 6179/74)', 7, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 49, '40', 'Renda mensal vitalícia por idade (Lei nº 6.179/74)', 7, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 50, '85', 'Pensão mensal vitalícia do seringueiro (Lei nº 7.986/89)', 7, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 51, '86', 'Pensão mensal vitalícia do dep. do seringueiro (Lei nº 7.986/89)', 7, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 52, '87', 'Amparo assistencial ao portador de deficiência (LOAS)', 7, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 53, '88', 'Amparo assistencial ao idoso (LOAS)', 7, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 54, '47', 'Abono de permanência em serviço 25%', 8, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 55, '48', 'Abono de permanência em serviço 20%', 8, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 56, '68', 'Pecúlio especial de aposentadoria', 8, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 57, '79', 'Abono de servidor aposentado pela autarquia empr.(Lei 1.756/52)', 8, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 58, '80', 'Salário-maternidade', 8, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 59, '22', 'Pensão por morte estatutária', 9, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 60, '26', 'Pensão Especial (Lei nº 593/48)', 9, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 61, '37', 'Aposentadoria de extranumerário da União', 9, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 62, '38', 'Aposentadoria da extinta CAPIN', 9, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 63, '54', 'Pensão especial vitalícia (Lei nº 9.793/99)', 9, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 64, '56', 'Pensão mensal vitalícia por síndrome de talidomida (Lei nº 7.070/82)', 9, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 65, '58', 'Aposentadoria excepcional do anistiado (Lei nº 6.683/79)', 9, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 65, '59', 'Pensão por morte excepcional do anistiado (Lei nº 6.683/79)', 9, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 66, '60', 'Pensão especial mensal vitalícia (Lei 10.923, de 24/07/2004)', 9, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 67, '76', 'Salário-família estatutário da RFFSA (Decreto-lei nº 956/69)', 9, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 68, '89', 'Pensão especial aos dependentes de vítimas fatais p/ contaminação na hemodiálise', 9, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_ESPECIEBENEFICIO (NRORG, NRESPECIEBENEFICIO, CDESOCIAL, DSESPECIEBENEFICIO, NRGRUPOESPECIE, IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU)
VALUES (0, 69, '96', 'Pensão especial às pessoas atingidas pela hanseníase (Lei nº 11.520/2007)', 9, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
