-- ============================================================
--   Database name:  FOLHA                                   
--   DBMS name:      ORACLE Version 12.x 
--   Created on:     03/05/2024  10:00                   
--   Issue:          SPRT [20] - 479233 - [HCM] - Conferir novos atributos do cadastro de GHE - Risco

-- ============================================================
-- Table: SST_CLASSEFEITO
-- ============================================================

CREATE TABLE SST_CLASSEFEITO
(
    NRORG                 NUMBER          NOT NULL,
    NRCLASSEFEITO         NUMBER          NOT NULL,
    DSSIGNEFEITO          VARCHAR2(200)       NULL,
    DSDESCEFEITO          VARCHAR2(200)       NULL,
    NRPESO                NUMBER              NULL,
    IDATIVO               VARCHAR2(1)     DEFAULT 'S' NOT NULL
    CONSTRAINT CKC_IDATIVO_SST_CLASSEFEITO CHECK (IDATIVO IN ('N','S')),
    DTINCLUSAO            DATE            DEFAULT SYSDATE NOT NULL,
    DTULTATU              DATE            NULL,
    NRORGINCLUSAO         NUMBER(22)      DEFAULT 1 NULL,
    CDOPERINCLUSAO        VARCHAR2(12)    DEFAULT '1' NULL,
    NRORGULTATU           NUMBER(22)      DEFAULT 1 NULL,
    CDOPERULTATU          VARCHAR2(12)    DEFAULT '1' NULL,
    CONSTRAINT PK_SST_NRCLASSEFEITO PRIMARY KEY (NRCLASSEFEITO)
);

INSERT INTO SST_CLASSEFEITO (NRORG, NRCLASSEFEITO, DSSIGNEFEITO, DSDESCEFEITO, NRPESO,IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU) VALUES (
0, 1, 'Pouca importância','Efeitos reversíveis de pouca importância ou não são conhecidos ou apenas suspeitos', 0, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_CLASSEFEITO (NRORG, NRCLASSEFEITO, DSSIGNEFEITO, DSDESCEFEITO, NRPESO,IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU) VALUES (
0, 2, 'Preocupantes','Efeitos reversíveis preocupantes', 1, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_CLASSEFEITO (NRORG, NRCLASSEFEITO, DSSIGNEFEITO, DSDESCEFEITO, NRPESO,IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU) VALUES (
0, 3, 'Severos','Efeitos reversíveis severos e preocupantes', 2, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_CLASSEFEITO (NRORG, NRCLASSEFEITO, DSSIGNEFEITO, DSDESCEFEITO, NRPESO,IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU) VALUES (
0, 4, 'Irreversíveis','Efeitos irreversíveis preocupantes', 3, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;
INSERT INTO SST_CLASSEFEITO (NRORG, NRCLASSEFEITO, DSSIGNEFEITO, DSDESCEFEITO, NRPESO,IDATIVO, DTINCLUSAO, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU) VALUES (
0, 5, 'Ameaça','Ameaça a vida ou doença/lesão incapacitante', 4, 'S', SYSDATE, 0, '1', 1, '1');
COMMIT;