/**********************************************************************************************************************/
/**** PROJETO GRUPO CICOPAL 2022                                                                                     **/
/**** IMPLANTAO DOS FUNCIONARIOS                                                                                  **/
/**** SCRITP DE PREPARAO DA MIGRAO                                                                               **/
/**** ESSE SCRIPT GERA UMA TABELA AUXILIAR (TB_AUX_ESTAGIARIOS)                                                      **/
/**********************************************************************************************************************/

--------------------------------------------------------
-- CRIAO DA TABELA AUXILIAR DE ESTAGIARIOS
--------------------------------------------------------

create table TB_AUX_INFOESTAGIARIOS AS (

	SELECT 
		'01' AS CodEmp,		/* C?digo Empresa */
		inf.RFS_FILIAL,		/* C?digo Filial */
		inf.RFS_MAT,		/* Matr?cula Colaborador */
		inf.RFS_ATUA,		/* ?rea de Atua??o */
		inf.RFS_APOLIC,		/* Num da Ap?lice de Seguro */
		inf.RFS_NATUR,		/* Natureza do est?gio (1-Obrigat?rio 2-N?o Obrigat?rio) */
		inf.RFS_NIVEL,		/* N?vel do Est?gio (1=Fundamental; 2=M?dio; 3=Forma??o Profissional; 4=Superior; 8=Especial; 9=M?e social.(Lei 7644, de 1987)) */
		-----------------------------------------------------
		sup.RD0_NOME,		/* Nome Supervisor */
		sup.RD0_CIC,		/* CPF Supervisor */
		-----------------------------------------------------
		age.RFR_AGENTE,		/* Cod Agente Integrador (AI) */
		age.RFR_NOME,		/* Agente Integrador (AI) */
		age.RFR_CNPJ,		/* CNPJ (AI) */
		age.RFR_END,		/* Logradouro (AI) */
		age.RFR_NREND,		/* Numero (AI) */
		age.RFR_COMPL,		/* Complemento (AI) */
		age.RFR_BAIRRO,		/* Bairro (AI) */
		age.RFR_CODMUN,		/* Cod Municipio (AI) */
		age.RFR_UF,			/* UF (AI) */
		age.RFR_CEP,		/* CEP (AI) */
		-----------------------------------------------------
		ent.RA0_ENTIDA,		/* Cod Institui??o Ensino (IE) */
		ent.RA0_DESC,		/* Institui??o Ensino (IE) */
		ent.RA0_CGC,		/* CNPJ (IE) */
		ent.RA0_ENDERE,		/* Logradouro (IE) */
		ent.RA0_BAIRRO,		/* Bairro (IE) */
		ent.RA0_CIDADE,		/* Cidade (IE) */
		ent.RA0_ESTADO,		/* UF (IE) */
		ent.RA0_CEP,		/* CEP (IE) */
		ent.RA0_CONTAT,		/* Contato (IE) */
		ent.RA0_FONE		/* Fone (IE) */
	FROM
		SIGAP12.RA0010 ent
		INNER JOIN SIGAP12.RFS010 inf ON ent.RA0_ENTIDA = inf.RFS_ENTIDA
		LEFT JOIN SIGAP12.RD0010 sup ON inf.RFS_COORD = sup.RD0_CODIGO
		LEFT JOIN SIGAP12.RFR010 age ON inf.RFS_AGENTE = age.RFR_AGENTE
	WHERE
		ent.D_E_L_E_T_ <> '*'

	UNION ALL

	SELECT 
		'06' AS CodEmp,
		inf.RFS_FILIAL,		/* C?digo Filial */
		inf.RFS_MAT,		/* Matr?cula Colaborador */
		inf.RFS_ATUA,		/* ?rea de Atua??o */
		inf.RFS_APOLIC,		/* Num da Ap?lice de Seguro */
		inf.RFS_NATUR,		/* Natureza do est?gio (1-Obrigat?rio 2-N?o Obrigat?rio) */
		inf.RFS_NIVEL,		/* N?vel do Est?gio */
		-----------------------------------------------------
		sup.RD0_NOME,		/* Nome Supervisor */
		sup.RD0_CIC,		/* CPF Supervisor */
		-----------------------------------------------------
		age.RFR_AGENTE,		/* Cod Agente Integrador (AI) */
		age.RFR_NOME,		/* Agente Integrador (AI) */
		age.RFR_CNPJ,		/* CNPJ (AI) */
		age.RFR_END,		/* Logradouro (AI) */
		age.RFR_NREND,		/* Numero (AI) */
		age.RFR_COMPL,		/* Complemento (AI) */
		age.RFR_BAIRRO,		/* Bairro (AI) */
		age.RFR_CODMUN,		/* Cod Municipio (AI) */
		age.RFR_UF,			/* UF (AI) */
		age.RFR_CEP,		/* CEP (AI) */
		-----------------------------------------------------
		ent.RA0_ENTIDA,		/* Cod Institui??o Ensino (IE) */
		ent.RA0_DESC,		/* Institui??o Ensino (IE) */
		ent.RA0_CGC,		/* CNPJ (IE) */
		ent.RA0_ENDERE,		/* Logradouro (IE) */
		ent.RA0_BAIRRO,		/* Bairro (IE) */
		ent.RA0_CIDADE,		/* Cidade (IE) */
		ent.RA0_ESTADO,		/* UF (IE) */
		ent.RA0_CEP,		/* CEP (IE) */
		ent.RA0_CONTAT,		/* Contato (IE) */
		ent.RA0_FONE		/* Fone (IE) */
	FROM
		SIGAP12.RA0060 ent
		INNER JOIN SIGAP12.RFS060 inf ON ent.RA0_ENTIDA = inf.RFS_ENTIDA
		LEFT JOIN SIGAP12.RD0060 sup ON inf.RFS_COORD = sup.RD0_CODIGO
		LEFT JOIN SIGAP12.RFR010 age ON inf.RFS_AGENTE = age.RFR_AGENTE
	WHERE
		ent.D_E_L_E_T_ <> '*'
);
        
