/**********************************************************************************************************************/
/********** PROJETO GHC - BASE SENIOR - SJRP - 2022 *******************************************************************/
/********** MIGRAO DE FICHA FINANCEIRA ******************************************************************************/
/**********************************************************************************************************************/
/* SCRIPT 05 - MIGRAO DAS BASES A PARTIR DAS TABELAS ESPECIFICAS                                                    */
/**********************************************************************************************************************/
/* SOMENTE NUMEMP 1 E 2                                                                                               */
/**********************************************************************************************************************/


ALTER VIEW VW_FICHA_FINANCEIRA_SENIOR_BASES AS
--======================================================================================================================
--> FOLHA 02
--======================================================================================================================
/*
------------------------------------------------------------------------------------------------------------------------
EVENTO 13100 - BASE BRUTA IRRF FERIAS
------------------------------------------------------------------------------------------------------------------------
Tabela: R046IRF Coluna: bascal
Vincular o campo "codcal" com essa tabela e migrar apenas quando o campo "tipirf" for igual a "F".
------------------------------------------------------------------------------------------------------------------------
/*
N	23196
D	2341
F	3156
*/
*/
SELECT VA.NUMEMP, VA.TIPCOL, VA.NUMCAD,  MIG.DATAFA AS DATREC, '' AS TIPIRF, '0' AS DEPIRF, 
       ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
       CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) AS REFER_NUM, REPLACE(RIGHT(CONVERT(VARCHAR,VA.DATRF1,103),7),'/','') AS REFER,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   2 AS COD_FOLHA_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   13100 AS COD_EVENTO_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   VA.BASCAL AS VALOR
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
  FROM R046IRF VA --> TABELA SENIOR DE HISTORICO DE EVENTOS CALCULADOS DE FERIAS
       INNER JOIN R044CAL CA --> TABELA DE CALCULOS PROCESSADOS NA SENIOR
	   ON (CA.NUMEMP = VA.NUMEMP AND CA.CODCAL = VA.CODCAL) 
       INNER JOIN R034FUN FUN --> TABELA SENIOR DE FUNCIONARIOS
	   ON (VA.NUMEMP = FUN.NUMEMP AND VA.TIPCOL = FUN.TIPCOL AND VA.NUMCAD = FUN.NUMCAD)
	   INNER JOIN TB_AUX_FUNCIONARIOS_MIGRADOS MIG  --> TABELA AUXILIAR SOMENTE COM OS FUNCIONARIOS MIGRADOS NO ESCOPO
	   ON (FUN.NUMEMP = MIG.NUMEMP AND FUN.TIPCOL = MIG.TIPCOL AND FUN.NUMCAD = MIG.NUMCAD)
 WHERE LTRIM(RTRIM(VA.TIPIRF)) = 'F'
   AND VA.BASCAL > 0
------------------------------------------------------------------------------------------------------------------------
UNION ALL
------------------------------------------------------------------------------------------------------------------------
/*
------------------------------------------------------------------------------------------------------------------------
EVENTO 13310 - BASE LIQUIDA IRRF FERIAS
------------------------------------------------------------------------------------------------------------------------
Tabela: R046IRF Coluna: bascal
Vincular o campo "codcal" com essa tabela e migrar apenas quando o campo "tipirf" for igual a "F".
------------------------------------------------------------------------------------------------------------------------
*/
SELECT VA.NUMEMP, VA.TIPCOL, VA.NUMCAD, MIG.DATAFA AS DATREC, VA.TIPIRF, VA.DEPIRF, 
       ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
       CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) AS REFER_NUM, REPLACE(RIGHT(CONVERT(VARCHAR,VA.DATRF1,103),7),'/','') AS REFER,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   2 AS COD_FOLHA_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   13310 AS COD_EVENTO_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   VA.BASCAL AS VALOR
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
  FROM R046IRF VA --> TABELA SENIOR DE HISTORICO DE EVENTOS CALCULADOS DE FERIAS
       INNER JOIN R044CAL CA --> TABELA DE CALCULOS PROCESSADOS NA SENIOR
	   ON (CA.NUMEMP = VA.NUMEMP AND CA.CODCAL = VA.CODCAL) 
       INNER JOIN R034FUN FUN --> TABELA SENIOR DE FUNCIONARIOS
	   ON (VA.NUMEMP = FUN.NUMEMP AND VA.TIPCOL = FUN.TIPCOL AND VA.NUMCAD = FUN.NUMCAD)
	   INNER JOIN TB_AUX_FUNCIONARIOS_MIGRADOS MIG  --> TABELA AUXILIAR SOMENTE COM OS FUNCIONARIOS MIGRADOS NO ESCOPO
	   ON (FUN.NUMEMP = MIG.NUMEMP AND FUN.TIPCOL = MIG.TIPCOL AND FUN.NUMCAD = MIG.NUMCAD)
 WHERE LTRIM(RTRIM(VA.TIPIRF)) = 'F'
   AND VA.BASCAL > 0
------------------------------------------------------------------------------------------------------------------------
UNION ALL
------------------------------------------------------------------------------------------------------------------------
/*
------------------------------------------------------------------------------------------------------------------------
EVENTO 13310 - BASE LIQUIDA IRRF FERIAS
------------------------------------------------------------------------------------------------------------------------
Tabela: R046IRF Coluna: bascal
Vincular o campo "codcal" com essa tabela e migrar apenas quando o campo "tipirf" for igual a "F".
O resultado a ser migrado ser o valor desse campo, multiplicado pelos valores abaixo:
04/2011 a 12/2011 = 157,47 * Coluna: depirf
01/2012 a 12/2012 = 164,56 * Coluna: depirf
01/2013 a 12/2013 = 171,97 * Coluna: depirf
01/2014 a 03/2015 = 179,71 * Coluna: depirf
04/2015 a Atual = 189,59 * Coluna: depirf
** MIGRAR NEGATIVO PARA ABATER DO VALOR BRUTO
------------------------------------------------------------------------------------------------------------------------
*/
SELECT VA.NUMEMP, VA.TIPCOL, VA.NUMCAD, MIG.DATAFA AS DATREC, VA.TIPIRF, VA.DEPIRF,
       ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
       CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) AS REFER_NUM, REPLACE(RIGHT(CONVERT(VARCHAR,VA.DATRF1,103),7),'/','') AS REFER,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   2 AS COD_FOLHA_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   13310 AS COD_EVENTO_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   CASE WHEN CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) <= 201112 THEN VA.DEPIRF * -157.47
	        WHEN CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) BETWEEN 201201 AND 201212 THEN VA.DEPIRF * -164.56
			WHEN CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) BETWEEN 201301 AND 201312 THEN VA.DEPIRF * -171.97
			WHEN CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) >= 201504 THEN VA.DEPIRF * -189.59
			ELSE 0
	   END AS VALOR
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
  FROM R046IRF VA --> TABELA SENIOR DE HISTORICO DE EVENTOS CALCULADOS DE FERIAS
       INNER JOIN R044CAL CA --> TABELA DE CALCULOS PROCESSADOS NA SENIOR
	   ON (CA.NUMEMP = VA.NUMEMP AND CA.CODCAL = VA.CODCAL) 
       INNER JOIN R034FUN FUN --> TABELA SENIOR DE FUNCIONARIOS
	   ON (VA.NUMEMP = FUN.NUMEMP AND VA.TIPCOL = FUN.TIPCOL AND VA.NUMCAD = FUN.NUMCAD)
	   INNER JOIN TB_AUX_FUNCIONARIOS_MIGRADOS MIG  --> TABELA AUXILIAR SOMENTE COM OS FUNCIONARIOS MIGRADOS NO ESCOPO
	   ON (FUN.NUMEMP = MIG.NUMEMP AND FUN.TIPCOL = MIG.TIPCOL AND FUN.NUMCAD = MIG.NUMCAD)
 WHERE LTRIM(RTRIM(VA.TIPIRF)) = 'F'
   AND VA.DEPIRF > 0
   AND VA.BASCAL > 0
------------------------------------------------------------------------------------------------------------------------
UNION ALL
------------------------------------------------------------------------------------------------------------------------
/*
------------------------------------------------------------------------------------------------------------------------
EVENTO 13605 - DEDUCOES IRRF FERIAS
------------------------------------------------------------------------------------------------------------------------
Tabela: R046IRF Coluna: depirf
Vincular o campo "codcal" com essa tabela e migrar apenas quando o campo "tipirf" for igual a "F".
O resultado a ser migrado ser o valor desse campo, multiplicado pelos valores abaixo:
04/2011 a 12/2011 = 157,47 * Coluna: depirf
01/2012 a 12/2012 = 164,56 * Coluna: depirf
01/2013 a 12/2013 = 171,97 * Coluna: depirf
01/2014 a 03/2015 = 179,71 * Coluna: depirf
04/2015 a Atual = 189,59 * Coluna: depirf
------------------------------------------------------------------------------------------------------------------------
*/
SELECT VA.NUMEMP, VA.TIPCOL, VA.NUMCAD, MIG.DATAFA AS DATREC, VA.TIPIRF, VA.DEPIRF,
       ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
       CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) AS REFER_NUM, REPLACE(RIGHT(CONVERT(VARCHAR,VA.DATRF1,103),7),'/','') AS REFER,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   2 AS COD_FOLHA_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   13605 AS COD_EVENTO_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   CASE WHEN CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) <= 201112 THEN VA.DEPIRF * 157.47
	        WHEN CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) BETWEEN 201201 AND 201212 THEN VA.DEPIRF * 164.56
			WHEN CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) BETWEEN 201301 AND 201312 THEN VA.DEPIRF * 171.97
			WHEN CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) >= 201504 THEN VA.DEPIRF * 189.59
			ELSE 0
	   END AS VALOR
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
  FROM R046IRF VA --> TABELA SENIOR DE HISTORICO DE EVENTOS CALCULADOS DE FERIAS
       INNER JOIN R044CAL CA --> TABELA DE CALCULOS PROCESSADOS NA SENIOR
	   ON (CA.NUMEMP = VA.NUMEMP AND CA.CODCAL = VA.CODCAL) 
       INNER JOIN R034FUN FUN --> TABELA SENIOR DE FUNCIONARIOS
	   ON (VA.NUMEMP = FUN.NUMEMP AND VA.TIPCOL = FUN.TIPCOL AND VA.NUMCAD = FUN.NUMCAD)
	   INNER JOIN TB_AUX_FUNCIONARIOS_MIGRADOS MIG  --> TABELA AUXILIAR SOMENTE COM OS FUNCIONARIOS MIGRADOS NO ESCOPO
	   ON (FUN.NUMEMP = MIG.NUMEMP AND FUN.TIPCOL = MIG.TIPCOL AND FUN.NUMCAD = MIG.NUMCAD)
 WHERE LTRIM(RTRIM(VA.TIPIRF)) = 'F'
   AND VA.DEPIRF > 0
   AND VA.BASCAL > 0
------------------------------------------------------------------------------------------------------------------------
UNION ALL
------------------------------------------------------------------------------------------------------------------------

--======================================================================================================================
--> FOLHA 05
--======================================================================================================================
/*
------------------------------------------------------------------------------------------------------------------------
EVENTO 14205 - BASE FGTS 13 RESCISAO
------------------------------------------------------------------------------------------------------------------------
Tabela: R056DEP Coluna: f13bas
Migrar para esse evento apenas quando a coluna "cmpfgt" estiver na mesma competncia da resciso.
------------------------------------------------------------------------------------------------------------------------
*/
SELECT VA.NUMEMP, VA.TIPCOL, VA.NUMCAD, MIG.DATAFA AS DATREC, '' AS TIPIRF, '0' AS DEPIRF,
       ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
       CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.CMPFGT,112),6)) AS REFER_NUM, REPLACE(RIGHT(CONVERT(VARCHAR,VA.CMPFGT,103),7),'/','') AS REFER,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   5 AS COD_FOLHA_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   14205 AS COD_EVENTO_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   VA.F13BAS AS VALOR
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
  FROM R056DEP VA --> TABELA SENIOR DE HISTORICO DE EVENTOS CALCULADOS DE FERIAS
       INNER JOIN R034FUN FUN --> TABELA SENIOR DE FUNCIONARIOS
	   ON (VA.NUMEMP = FUN.NUMEMP AND VA.TIPCOL = FUN.TIPCOL AND VA.NUMCAD = FUN.NUMCAD)
	   INNER JOIN TB_AUX_FUNCIONARIOS_MIGRADOS MIG  --> TABELA AUXILIAR SOMENTE COM OS FUNCIONARIOS MIGRADOS NO ESCOPO
	   ON (FUN.NUMEMP = MIG.NUMEMP AND FUN.TIPCOL = MIG.TIPCOL AND FUN.NUMCAD = MIG.NUMCAD)
 WHERE VA.F13BAS > 0
   AND MIG.SITAFA = 7
   AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.CMPFGT,112),6)) = CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2))
------------------------------------------------------------------------------------------------------------------------
UNION ALL
------------------------------------------------------------------------------------------------------------------------

--======================================================================================================================
--> FOLHA 06
--======================================================================================================================
/*
------------------------------------------------------------------------------------------------------------------------
EVENTO 13330 - BASE LIQUIDA IRRF QUINZENAL
------------------------------------------------------------------------------------------------------------------------
Tabela: R046IRF Coluna: bascal
Vincular o campo "codcal" com essa tabela e migrar apenas quando o campo "tipirf" for igual a "N".
------------------------------------------------------------------------------------------------------------------------
*/
SELECT VA.NUMEMP, VA.TIPCOL, VA.NUMCAD, MIG.DATAFA AS DATREC, VA.TIPIRF, VA.DEPIRF, 
       ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
       CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) AS REFER_NUM, REPLACE(RIGHT(CONVERT(VARCHAR,VA.DATRF1,103),7),'/','') AS REFER,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   6 AS COD_FOLHA_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   13330 AS COD_EVENTO_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   VA.BASCAL AS VALOR
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
  FROM R046IRF VA --> TABELA SENIOR DE HISTORICO DE EVENTOS CALCULADOS DE FERIAS
       INNER JOIN R044CAL CA --> TABELA DE CALCULOS PROCESSADOS NA SENIOR
	   ON (CA.NUMEMP = VA.NUMEMP AND CA.CODCAL = VA.CODCAL) 
       INNER JOIN R034FUN FUN --> TABELA SENIOR DE FUNCIONARIOS
	   ON (VA.NUMEMP = FUN.NUMEMP AND VA.TIPCOL = FUN.TIPCOL AND VA.NUMCAD = FUN.NUMCAD)
	   INNER JOIN TB_AUX_FUNCIONARIOS_MIGRADOS MIG  --> TABELA AUXILIAR SOMENTE COM OS FUNCIONARIOS MIGRADOS NO ESCOPO
	   ON (FUN.NUMEMP = MIG.NUMEMP AND FUN.TIPCOL = MIG.TIPCOL AND FUN.NUMCAD = MIG.NUMCAD)
 WHERE LTRIM(RTRIM(VA.TIPIRF)) = 'N'
   AND VA.BASCAL > 0
------------------------------------------------------------------------------------------------------------------------
UNION ALL
------------------------------------------------------------------------------------------------------------------------
/*
------------------------------------------------------------------------------------------------------------------------
EVENTO 13330 - BASE LIQUIDA IRRF QUINZENAL
------------------------------------------------------------------------------------------------------------------------
Tabela: R046IRF Coluna: bascal
Vincular o campo "codcal" com essa tabela e migrar apenas quando o campo "tipirf" for igual a "N".
O resultado a ser migrado ser o valor desse campo, multiplicado pelos valores abaixo:
04/2011 a 12/2011 = 157,47 * Coluna: depirf
01/2012 a 12/2012 = 164,56 * Coluna: depirf
01/2013 a 12/2013 = 171,97 * Coluna: depirf
01/2014 a 03/2015 = 179,71 * Coluna: depirf
04/2015 a Atual = 189,59 * Coluna: depirf
** MIGRAR NEGATIVO PARA ABATER DO VALOR BRUTO
------------------------------------------------------------------------------------------------------------------------
*/
SELECT VA.NUMEMP, VA.TIPCOL, VA.NUMCAD, MIG.DATAFA AS DATREC, VA.TIPIRF, VA.DEPIRF,
       ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
       CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) AS REFER_NUM, REPLACE(RIGHT(CONVERT(VARCHAR,VA.DATRF1,103),7),'/','') AS REFER,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   6 AS COD_FOLHA_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   13330 AS COD_EVENTO_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   CASE WHEN CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) <= 201112 THEN VA.DEPIRF * -157.47
	        WHEN CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) BETWEEN 201201 AND 201212 THEN VA.DEPIRF * -164.56
			WHEN CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) BETWEEN 201301 AND 201312 THEN VA.DEPIRF * -171.97
			WHEN CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) >= 201504 THEN VA.DEPIRF * -189.59
			ELSE 0
	   END AS VALOR
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
  FROM R046IRF VA --> TABELA SENIOR DE HISTORICO DE EVENTOS CALCULADOS DE FERIAS
       INNER JOIN R044CAL CA --> TABELA DE CALCULOS PROCESSADOS NA SENIOR
	   ON (CA.NUMEMP = VA.NUMEMP AND CA.CODCAL = VA.CODCAL) 
       INNER JOIN R034FUN FUN --> TABELA SENIOR DE FUNCIONARIOS
	   ON (VA.NUMEMP = FUN.NUMEMP AND VA.TIPCOL = FUN.TIPCOL AND VA.NUMCAD = FUN.NUMCAD)
	   INNER JOIN TB_AUX_FUNCIONARIOS_MIGRADOS MIG  --> TABELA AUXILIAR SOMENTE COM OS FUNCIONARIOS MIGRADOS NO ESCOPO
	   ON (FUN.NUMEMP = MIG.NUMEMP AND FUN.TIPCOL = MIG.TIPCOL AND FUN.NUMCAD = MIG.NUMCAD)
 WHERE LTRIM(RTRIM(VA.TIPIRF)) = 'N'
   AND VA.DEPIRF > 0
   AND VA.BASCAL > 0
------------------------------------------------------------------------------------------------------------------------
UNION ALL
------------------------------------------------------------------------------------------------------------------------

--======================================================================================================================
--> FOLHA 1,5
--======================================================================================================================

/* 
------------------------------------------------------------------------------------------------------------------------
EVENTO 12000 - BASE INSS MES
------------------------------------------------------------------------------------------------------------------------
Tabela: R054CTD  Coluna: binmes
<<Sem regra especificada>>
------------------------------------------------------------------------------------------------------------------------
*/
SELECT VA.NUMEMP, VA.TIPCOL, VA.NUMCAD, MIG.DATAFA AS DATREC, '' AS TIPIRF, '0' AS DEPIRF,
       ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
       CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.CMPCTD,112),6)) AS REFER_NUM, REPLACE(RIGHT(CONVERT(VARCHAR,VA.CMPCTD,103),7),'/','') AS REFER,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   CASE WHEN MIG.sitafa <> 7 THEN 1 --> ATIVOS: MENSAL
	        WHEN MIG.sitafa = 7 AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.CMPCTD,112),6)) < CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2)) THEN 1 --> DEMITIDOS REFER ANT DEMISSAO: MENSAL
			WHEN MIG.sitafa = 7 AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.CMPCTD,112),6)) = CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2)) THEN 5 --> DEMITIDOS REFER IGUAL DEMISSAO: RESCISAO
			WHEN MIG.sitafa = 7 AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.CMPCTD,112),6)) > CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2)) THEN 8 --> DEMITIDOS REFER MAIO DEMISSAO: RESCISAO COMP FORA MES
			ELSE 0
	   END AS COD_FOLHA_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   12000 AS COD_EVENTO_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   VA.BINMES AS VALOR
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
  FROM R054CTD VA --> TABELA SENIOR DE HISTORICO DE EVENTOS CALCULADOS DE FERIAS
       INNER JOIN R034FUN FUN --> TABELA SENIOR DE FUNCIONARIOS
	   ON (VA.NUMEMP = FUN.NUMEMP AND VA.TIPCOL = FUN.TIPCOL AND VA.NUMCAD = FUN.NUMCAD)
	   INNER JOIN TB_AUX_FUNCIONARIOS_MIGRADOS MIG  --> TABELA AUXILIAR SOMENTE COM OS FUNCIONARIOS MIGRADOS NO ESCOPO
	   ON (FUN.NUMEMP = MIG.NUMEMP AND FUN.TIPCOL = MIG.TIPCOL AND FUN.NUMCAD = MIG.NUMCAD)
 WHERE VA.BINMES > 0
------------------------------------------------------------------------------------------------------------------------
UNION ALL
------------------------------------------------------------------------------------------------------------------------
/*
------------------------------------------------------------------------------------------------------------------------
EVENTO 13000 - BASE BRUTA IRRF MES
------------------------------------------------------------------------------------------------------------------------
Tabela: R046IRF Coluna: bascal
Vincular o campo "codcal" com essa tabela e migrar apenas quando o campo "tipirf" for igual a "N".
------------------------------------------------------------------------------------------------------------------------
*/
SELECT VA.NUMEMP, VA.TIPCOL, VA.NUMCAD, MIG.DATAFA AS DATREC, VA.TIPIRF, VA.DEPIRF, 
       ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
       CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) AS REFER_NUM, REPLACE(RIGHT(CONVERT(VARCHAR,VA.DATRF1,103),7),'/','') AS REFER,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   CASE WHEN MIG.sitafa <> 7 THEN 1 --> ATIVOS: MENSAL
	        WHEN MIG.sitafa = 7 AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) < CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2)) THEN 1 --> DEMITIDOS REFER ANT DEMISSAO: MENSAL
			WHEN MIG.sitafa = 7 AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) = CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2)) THEN 5 --> DEMITIDOS REFER IGUAL DEMISSAO: RESCISAO
			WHEN MIG.sitafa = 7 AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) > CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2)) THEN 8 --> DEMITIDOS REFER MAIO DEMISSAO: RESCISAO COMP FORA MES
			ELSE 0
	   END AS COD_FOLHA_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   13000 AS COD_EVENTO_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   VA.BASCAL AS VALOR
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
  FROM R046IRF VA --> TABELA SENIOR DE HISTORICO DE EVENTOS CALCULADOS DE FERIAS
       INNER JOIN R044CAL CA --> TABELA DE CALCULOS PROCESSADOS NA SENIOR
	   ON (CA.NUMEMP = VA.NUMEMP AND CA.CODCAL = VA.CODCAL) 
       INNER JOIN R034FUN FUN --> TABELA SENIOR DE FUNCIONARIOS
	   ON (VA.NUMEMP = FUN.NUMEMP AND VA.TIPCOL = FUN.TIPCOL AND VA.NUMCAD = FUN.NUMCAD)
	   INNER JOIN TB_AUX_FUNCIONARIOS_MIGRADOS MIG  --> TABELA AUXILIAR SOMENTE COM OS FUNCIONARIOS MIGRADOS NO ESCOPO
	   ON (FUN.NUMEMP = MIG.NUMEMP AND FUN.TIPCOL = MIG.TIPCOL AND FUN.NUMCAD = MIG.NUMCAD)
 WHERE LTRIM(RTRIM(VA.TIPIRF)) = 'N'
   AND VA.BASCAL > 0
------------------------------------------------------------------------------------------------------------------------
UNION ALL
------------------------------------------------------------------------------------------------------------------------
/*
------------------------------------------------------------------------------------------------------------------------
EVENTO 13300 - BASE LIQUIDA IRRF MES
------------------------------------------------------------------------------------------------------------------------
Tabela: R046IRF Coluna: bascal
Vincular o campo "codcal" com essa tabela e migrar apenas quando o campo "tipirf" for igual a "N".
------------------------------------------------------------------------------------------------------------------------
*/
SELECT VA.NUMEMP, VA.TIPCOL, VA.NUMCAD, MIG.DATAFA AS DATREC, VA.TIPIRF, VA.DEPIRF, 
       ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
       CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) AS REFER_NUM, REPLACE(RIGHT(CONVERT(VARCHAR,VA.DATRF1,103),7),'/','') AS REFER,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   CASE WHEN MIG.sitafa <> 7 THEN 1 --> ATIVOS: MENSAL
	        WHEN MIG.sitafa = 7 AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) < CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2)) THEN 1 --> DEMITIDOS REFER ANT DEMISSAO: MENSAL
			WHEN MIG.sitafa = 7 AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) = CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2)) THEN 5 --> DEMITIDOS REFER IGUAL DEMISSAO: RESCISAO
			WHEN MIG.sitafa = 7 AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) > CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2)) THEN 8 --> DEMITIDOS REFER MAIO DEMISSAO: RESCISAO COMP FORA MES
			ELSE 0
	   END AS COD_FOLHA_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   13300 AS COD_EVENTO_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   VA.BASCAL AS VALOR
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
  FROM R046IRF VA --> TABELA SENIOR DE HISTORICO DE EVENTOS CALCULADOS DE FERIAS
       INNER JOIN R044CAL CA --> TABELA DE CALCULOS PROCESSADOS NA SENIOR
	   ON (CA.NUMEMP = VA.NUMEMP AND CA.CODCAL = VA.CODCAL) 
       INNER JOIN R034FUN FUN --> TABELA SENIOR DE FUNCIONARIOS
	   ON (VA.NUMEMP = FUN.NUMEMP AND VA.TIPCOL = FUN.TIPCOL AND VA.NUMCAD = FUN.NUMCAD)
	   INNER JOIN TB_AUX_FUNCIONARIOS_MIGRADOS MIG  --> TABELA AUXILIAR SOMENTE COM OS FUNCIONARIOS MIGRADOS NO ESCOPO
	   ON (FUN.NUMEMP = MIG.NUMEMP AND FUN.TIPCOL = MIG.TIPCOL AND FUN.NUMCAD = MIG.NUMCAD)
 WHERE LTRIM(RTRIM(VA.TIPIRF)) = 'N'
   AND VA.BASCAL > 0
------------------------------------------------------------------------------------------------------------------------
UNION ALL
------------------------------------------------------------------------------------------------------------------------
/*
------------------------------------------------------------------------------------------------------------------------
EVENTO 13300 - BASE LIQUIDA IRRF MES
------------------------------------------------------------------------------------------------------------------------
Tabela: R046IRF Coluna: bascal
Vincular o campo "codcal" com essa tabela e migrar apenas quando o campo "tipirf" for igual a "N".
O resultado a ser migrado ser o valor desse campo, multiplicado pelos valores abaixo:
04/2011 a 12/2011 = 157,47 * Coluna: depirf
01/2012 a 12/2012 = 164,56 * Coluna: depirf
01/2013 a 12/2013 = 171,97 * Coluna: depirf
01/2014 a 03/2015 = 179,71 * Coluna: depirf
04/2015 a Atual = 189,59 * Coluna: depirf
** MIGRAR NEGATIVO PARA ABATER DO VALOR BRUTO
------------------------------------------------------------------------------------------------------------------------
*/
SELECT VA.NUMEMP, VA.TIPCOL, VA.NUMCAD, MIG.DATAFA AS DATREC, VA.TIPIRF, VA.DEPIRF,
       ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
       CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) AS REFER_NUM, REPLACE(RIGHT(CONVERT(VARCHAR,VA.DATRF1,103),7),'/','') AS REFER,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   CASE WHEN MIG.sitafa <> 7 THEN 1 --> ATIVOS: MENSAL
	        WHEN MIG.sitafa = 7 AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) < CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2)) THEN 1 --> DEMITIDOS REFER ANT DEMISSAO: MENSAL
			WHEN MIG.sitafa = 7 AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) = CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2)) THEN 5 --> DEMITIDOS REFER IGUAL DEMISSAO: RESCISAO
			WHEN MIG.sitafa = 7 AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) > CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2)) THEN 8 --> DEMITIDOS REFER MAIO DEMISSAO: RESCISAO COMP FORA MES
			ELSE 0
	   END AS COD_FOLHA_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   13300 AS COD_EVENTO_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   CASE WHEN CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) <= 201112 THEN VA.DEPIRF * -157.47
	        WHEN CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) BETWEEN 201201 AND 201212 THEN VA.DEPIRF * -164.56
			WHEN CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) BETWEEN 201301 AND 201312 THEN VA.DEPIRF * -171.97
			WHEN CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) >= 201504 THEN VA.DEPIRF * -189.59
			ELSE 0
	   END AS VALOR
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
  FROM R046IRF VA --> TABELA SENIOR DE HISTORICO DE EVENTOS CALCULADOS DE FERIAS
       INNER JOIN R044CAL CA --> TABELA DE CALCULOS PROCESSADOS NA SENIOR
	   ON (CA.NUMEMP = VA.NUMEMP AND CA.CODCAL = VA.CODCAL) 
       INNER JOIN R034FUN FUN --> TABELA SENIOR DE FUNCIONARIOS
	   ON (VA.NUMEMP = FUN.NUMEMP AND VA.TIPCOL = FUN.TIPCOL AND VA.NUMCAD = FUN.NUMCAD)
	   INNER JOIN TB_AUX_FUNCIONARIOS_MIGRADOS MIG  --> TABELA AUXILIAR SOMENTE COM OS FUNCIONARIOS MIGRADOS NO ESCOPO
	   ON (FUN.NUMEMP = MIG.NUMEMP AND FUN.TIPCOL = MIG.TIPCOL AND FUN.NUMCAD = MIG.NUMCAD)
 WHERE LTRIM(RTRIM(VA.TIPIRF)) = 'N'
   AND VA.DEPIRF > 0
   AND VA.BASCAL > 0
------------------------------------------------------------------------------------------------------------------------
UNION ALL
------------------------------------------------------------------------------------------------------------------------
/*
------------------------------------------------------------------------------------------------------------------------
EVENTO 13600 - DEDUCOES IRRF MES
------------------------------------------------------------------------------------------------------------------------
Tabela: R046IRF Coluna: bascal
Vincular o campo "codcal" com essa tabela e migrar apenas quando o campo "tipirf" for igual a "N".
O resultado a ser migrado ser o valor desse campo, multiplicado pelos valores abaixo:
04/2011 a 12/2011 = 157,47 * Coluna: depirf
01/2012 a 12/2012 = 164,56 * Coluna: depirf
01/2013 a 12/2013 = 171,97 * Coluna: depirf
01/2014 a 03/2015 = 179,71 * Coluna: depirf
04/2015 a Atual = 189,59 * Coluna: depirf
------------------------------------------------------------------------------------------------------------------------
*/
SELECT VA.NUMEMP, VA.TIPCOL, VA.NUMCAD, MIG.DATAFA AS DATREC, VA.TIPIRF, VA.DEPIRF,
       ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
       CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) AS REFER_NUM, REPLACE(RIGHT(CONVERT(VARCHAR,VA.DATRF1,103),7),'/','') AS REFER,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   CASE WHEN MIG.sitafa <> 7 THEN 1 --> ATIVOS: MENSAL
	        WHEN MIG.sitafa = 7 AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) < CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2)) THEN 1 --> DEMITIDOS REFER ANT DEMISSAO: MENSAL
			WHEN MIG.sitafa = 7 AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) = CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2)) THEN 5 --> DEMITIDOS REFER IGUAL DEMISSAO: RESCISAO
			WHEN MIG.sitafa = 7 AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) > CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2)) THEN 8 --> DEMITIDOS REFER MAIO DEMISSAO: RESCISAO COMP FORA MES
			ELSE 0
	   END AS COD_FOLHA_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   13600 AS COD_EVENTO_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   CASE WHEN CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) <= 201112 THEN VA.DEPIRF * 157.47
	        WHEN CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) BETWEEN 201201 AND 201212 THEN VA.DEPIRF * 164.56
			WHEN CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) BETWEEN 201301 AND 201312 THEN VA.DEPIRF * 171.97
			WHEN CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) >= 201504 THEN VA.DEPIRF * 189.59
			ELSE 0
	   END AS VALOR
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
  FROM R046IRF VA --> TABELA SENIOR DE HISTORICO DE EVENTOS CALCULADOS DE FERIAS
       INNER JOIN R044CAL CA --> TABELA DE CALCULOS PROCESSADOS NA SENIOR
	   ON (CA.NUMEMP = VA.NUMEMP AND CA.CODCAL = VA.CODCAL) 
       INNER JOIN R034FUN FUN --> TABELA SENIOR DE FUNCIONARIOS
	   ON (VA.NUMEMP = FUN.NUMEMP AND VA.TIPCOL = FUN.TIPCOL AND VA.NUMCAD = FUN.NUMCAD)
	   INNER JOIN TB_AUX_FUNCIONARIOS_MIGRADOS MIG  --> TABELA AUXILIAR SOMENTE COM OS FUNCIONARIOS MIGRADOS NO ESCOPO
	   ON (FUN.NUMEMP = MIG.NUMEMP AND FUN.TIPCOL = MIG.TIPCOL AND FUN.NUMCAD = MIG.NUMCAD)
 WHERE LTRIM(RTRIM(VA.TIPIRF)) = 'N'
   AND VA.DEPIRF > 0
   AND VA.BASCAL > 0
------------------------------------------------------------------------------------------------------------------------
UNION ALL
------------------------------------------------------------------------------------------------------------------------
/*
------------------------------------------------------------------------------------------------------------------------
EVENTO 14000 - BASE FGTS MES
------------------------------------------------------------------------------------------------------------------------
Tabela: R056DEP Coluna: fgtbas
Migrar para esse evento apenas quando a coluna "cmpfgt" NO estiver na mesma competncia da resciso.
------------------------------------------------------------------------------------------------------------------------
*/
SELECT VA.NUMEMP, VA.TIPCOL, VA.NUMCAD, MIG.DATAFA AS DATREC, '' AS TIPIRF, '0' AS DEPIRF,
       ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
       CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.CMPFGT,112),6)) AS REFER_NUM, REPLACE(RIGHT(CONVERT(VARCHAR,VA.CMPFGT,103),7),'/','') AS REFER,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   CASE WHEN MIG.sitafa <> 7 THEN 1 --> ATIVOS: MENSAL
	        WHEN MIG.sitafa = 7 AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.CMPFGT,112),6)) < CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2)) THEN 1 --> DEMITIDOS REFER ANT DEMISSAO: MENSAL
			WHEN MIG.sitafa = 7 AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.CMPFGT,112),6)) = CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2)) THEN 5 --> DEMITIDOS REFER IGUAL DEMISSAO: RESCISAO
			WHEN MIG.sitafa = 7 AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.CMPFGT,112),6)) > CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2)) THEN 8 --> DEMITIDOS REFER MAIO DEMISSAO: RESCISAO COMP FORA MES
			ELSE 0
	   END AS COD_FOLHA_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   14000 AS COD_EVENTO_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   VA.FGTBAS AS VALOR
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
  FROM R056DEP VA --> TABELA SENIOR DE HISTORICO DE EVENTOS CALCULADOS DE FERIAS
       INNER JOIN R034FUN FUN --> TABELA SENIOR DE FUNCIONARIOS
	   ON (VA.NUMEMP = FUN.NUMEMP AND VA.TIPCOL = FUN.TIPCOL AND VA.NUMCAD = FUN.NUMCAD)
	   INNER JOIN TB_AUX_FUNCIONARIOS_MIGRADOS MIG  --> TABELA AUXILIAR SOMENTE COM OS FUNCIONARIOS MIGRADOS NO ESCOPO
	   ON (FUN.NUMEMP = MIG.NUMEMP AND FUN.TIPCOL = MIG.TIPCOL AND FUN.NUMCAD = MIG.NUMCAD)
 WHERE VA.FGTBAS > 0
   AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.CMPFGT,112),6)) < CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2))
------------------------------------------------------------------------------------------------------------------------
UNION ALL
------------------------------------------------------------------------------------------------------------------------

--======================================================================================================================
--> FOLHA 4,5
--======================================================================================================================

/* 
------------------------------------------------------------------------------------------------------------------------
EVENTO 12115 - BASE INSS 13 SALARIO
------------------------------------------------------------------------------------------------------------------------
Tabela: R054CTD  Coluna: bin13s
<<Sem regra especificada>>
------------------------------------------------------------------------------------------------------------------------
*/
SELECT VA.NUMEMP, VA.TIPCOL, VA.NUMCAD, MIG.DATAFA AS DATREC, '' AS TIPIRF, '0' AS DEPIRF,
       ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
       CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.CMPCTD,112),6)) AS REFER_NUM, REPLACE(RIGHT(CONVERT(VARCHAR,VA.CMPCTD,103),7),'/','') AS REFER,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   CASE WHEN MIG.sitafa <> 7 THEN 4 --> ATIVOS: MENSAL
	        WHEN MIG.sitafa = 7 AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.CMPCTD,112),6)) < CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2)) THEN 4 --> DEMITIDOS REFER ANT DEMISSAO: MENSAL
			WHEN MIG.sitafa = 7 AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.CMPCTD,112),6)) = CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2)) THEN 5 --> DEMITIDOS REFER IGUAL DEMISSAO: RESCISAO
			WHEN MIG.sitafa = 7 AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.CMPCTD,112),6)) > CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2)) THEN 8 --> DEMITIDOS REFER MAIO DEMISSAO: RESCISAO COMP FORA MES
			ELSE 0
	   END AS COD_FOLHA_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   12115 AS COD_EVENTO_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   VA.BIN13S AS VALOR
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
  FROM R054CTD VA --> TABELA SENIOR DE HISTORICO DE EVENTOS CALCULADOS DE FERIAS
       INNER JOIN R034FUN FUN --> TABELA SENIOR DE FUNCIONARIOS
	   ON (VA.NUMEMP = FUN.NUMEMP AND VA.TIPCOL = FUN.TIPCOL AND VA.NUMCAD = FUN.NUMCAD)
	   INNER JOIN TB_AUX_FUNCIONARIOS_MIGRADOS MIG  --> TABELA AUXILIAR SOMENTE COM OS FUNCIONARIOS MIGRADOS NO ESCOPO
	   ON (FUN.NUMEMP = MIG.NUMEMP AND FUN.TIPCOL = MIG.TIPCOL AND FUN.NUMCAD = MIG.NUMCAD)
 WHERE VA.BIN13S > 0
------------------------------------------------------------------------------------------------------------------------
UNION ALL
------------------------------------------------------------------------------------------------------------------------
/*
------------------------------------------------------------------------------------------------------------------------
EVENTO 13000 - BASE BRUTA IRRF MES
------------------------------------------------------------------------------------------------------------------------
Tabela: R046IRF Coluna: bascal
Vincular o campo "codcal" com essa tabela e migrar apenas quando o campo "tipirf" for igual a "D".
------------------------------------------------------------------------------------------------------------------------
*/
SELECT VA.NUMEMP, VA.TIPCOL, VA.NUMCAD, MIG.DATAFA AS DATREC, VA.TIPIRF, VA.DEPIRF, 
       ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
       CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) AS REFER_NUM, REPLACE(RIGHT(CONVERT(VARCHAR,VA.DATRF1,103),7),'/','') AS REFER,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   CASE WHEN MIG.sitafa <> 7 THEN 4 --> ATIVOS: MENSAL
	        WHEN MIG.sitafa = 7 AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) < CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2)) THEN 4 --> DEMITIDOS REFER ANT DEMISSAO: MENSAL
			WHEN MIG.sitafa = 7 AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) = CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2)) THEN 5 --> DEMITIDOS REFER IGUAL DEMISSAO: RESCISAO
			WHEN MIG.sitafa = 7 AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) > CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2)) THEN 8 --> DEMITIDOS REFER MAIO DEMISSAO: RESCISAO COMP FORA MES
			ELSE 0
	   END AS COD_FOLHA_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   13000 AS COD_EVENTO_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   VA.BASCAL AS VALOR
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
  FROM R046IRF VA --> TABELA SENIOR DE HISTORICO DE EVENTOS CALCULADOS DE FERIAS
       INNER JOIN R044CAL CA --> TABELA DE CALCULOS PROCESSADOS NA SENIOR
	   ON (CA.NUMEMP = VA.NUMEMP AND CA.CODCAL = VA.CODCAL) 
       INNER JOIN R034FUN FUN --> TABELA SENIOR DE FUNCIONARIOS
	   ON (VA.NUMEMP = FUN.NUMEMP AND VA.TIPCOL = FUN.TIPCOL AND VA.NUMCAD = FUN.NUMCAD)
	   INNER JOIN TB_AUX_FUNCIONARIOS_MIGRADOS MIG  --> TABELA AUXILIAR SOMENTE COM OS FUNCIONARIOS MIGRADOS NO ESCOPO
	   ON (FUN.NUMEMP = MIG.NUMEMP AND FUN.TIPCOL = MIG.TIPCOL AND FUN.NUMCAD = MIG.NUMCAD)
 WHERE LTRIM(RTRIM(VA.TIPIRF)) = 'D'
   AND VA.BASCAL > 0
------------------------------------------------------------------------------------------------------------------------
UNION ALL
------------------------------------------------------------------------------------------------------------------------
/*
------------------------------------------------------------------------------------------------------------------------
EVENTO 13320 - BASE LIQUIDA IRRF 13 SALARIO
------------------------------------------------------------------------------------------------------------------------
Tabela: R046IRF Coluna: bascal
Vincular o campo "codcal" com essa tabela e migrar apenas quando o campo "tipirf" for igual a "D".
------------------------------------------------------------------------------------------------------------------------
*/
SELECT VA.NUMEMP, VA.TIPCOL, VA.NUMCAD, MIG.DATAFA AS DATREC, VA.TIPIRF, VA.DEPIRF, 
       ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
       CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) AS REFER_NUM, REPLACE(RIGHT(CONVERT(VARCHAR,VA.DATRF1,103),7),'/','') AS REFER,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   CASE WHEN MIG.sitafa <> 7 THEN 4 --> ATIVOS: MENSAL
	        WHEN MIG.sitafa = 7 AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) < CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2)) THEN 4 --> DEMITIDOS REFER ANT DEMISSAO: MENSAL
			WHEN MIG.sitafa = 7 AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) = CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2)) THEN 5 --> DEMITIDOS REFER IGUAL DEMISSAO: RESCISAO
			WHEN MIG.sitafa = 7 AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) > CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2)) THEN 8 --> DEMITIDOS REFER MAIO DEMISSAO: RESCISAO COMP FORA MES
			ELSE 0
	   END AS COD_FOLHA_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   13320 AS COD_EVENTO_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   VA.BASCAL AS VALOR
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
  FROM R046IRF VA --> TABELA SENIOR DE HISTORICO DE EVENTOS CALCULADOS DE FERIAS
       INNER JOIN R044CAL CA --> TABELA DE CALCULOS PROCESSADOS NA SENIOR
	   ON (CA.NUMEMP = VA.NUMEMP AND CA.CODCAL = VA.CODCAL) 
       INNER JOIN R034FUN FUN --> TABELA SENIOR DE FUNCIONARIOS
	   ON (VA.NUMEMP = FUN.NUMEMP AND VA.TIPCOL = FUN.TIPCOL AND VA.NUMCAD = FUN.NUMCAD)
	   INNER JOIN TB_AUX_FUNCIONARIOS_MIGRADOS MIG  --> TABELA AUXILIAR SOMENTE COM OS FUNCIONARIOS MIGRADOS NO ESCOPO
	   ON (FUN.NUMEMP = MIG.NUMEMP AND FUN.TIPCOL = MIG.TIPCOL AND FUN.NUMCAD = MIG.NUMCAD)
 WHERE LTRIM(RTRIM(VA.TIPIRF)) = 'D'
   AND VA.BASCAL > 0
------------------------------------------------------------------------------------------------------------------------
UNION ALL
------------------------------------------------------------------------------------------------------------------------
/*
------------------------------------------------------------------------------------------------------------------------
EVENTO 13320 - BASE LIQUIDA IRRF 13 SALARIO
------------------------------------------------------------------------------------------------------------------------
Tabela: R046IRF Coluna: bascal
Vincular o campo "codcal" com essa tabela e migrar apenas quando o campo "tipirf" for igual a "D".
O resultado a ser migrado ser o valor desse campo, multiplicado pelos valores abaixo:
04/2011 a 12/2011 = 157,47 * Coluna: depirf
01/2012 a 12/2012 = 164,56 * Coluna: depirf
01/2013 a 12/2013 = 171,97 * Coluna: depirf
01/2014 a 03/2015 = 179,71 * Coluna: depirf
04/2015 a Atual = 189,59 * Coluna: depirf
** MIGRAR NEGATIVO PARA ABATER DO VALOR BRUTO
------------------------------------------------------------------------------------------------------------------------
*/
SELECT VA.NUMEMP, VA.TIPCOL, VA.NUMCAD, MIG.DATAFA AS DATREC, VA.TIPIRF, VA.DEPIRF,
       ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
       CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) AS REFER_NUM, REPLACE(RIGHT(CONVERT(VARCHAR,VA.DATRF1,103),7),'/','') AS REFER,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   CASE WHEN MIG.sitafa <> 7 THEN 4 --> ATIVOS: MENSAL
	        WHEN MIG.sitafa = 7 AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) < CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2)) THEN 4 --> DEMITIDOS REFER ANT DEMISSAO: MENSAL
			WHEN MIG.sitafa = 7 AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) = CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2)) THEN 5 --> DEMITIDOS REFER IGUAL DEMISSAO: RESCISAO
			WHEN MIG.sitafa = 7 AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) > CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2)) THEN 8 --> DEMITIDOS REFER MAIO DEMISSAO: RESCISAO COMP FORA MES
			ELSE 0
	   END AS COD_FOLHA_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   13320 AS COD_EVENTO_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   CASE WHEN CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) <= 201112 THEN VA.DEPIRF * -157.47
	        WHEN CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) BETWEEN 201201 AND 201212 THEN VA.DEPIRF * -164.56
			WHEN CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) BETWEEN 201301 AND 201312 THEN VA.DEPIRF * -171.97
			WHEN CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) >= 201504 THEN VA.DEPIRF * -189.59
			ELSE 0
	   END AS VALOR
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
  FROM R046IRF VA --> TABELA SENIOR DE HISTORICO DE EVENTOS CALCULADOS DE FERIAS
       INNER JOIN R044CAL CA --> TABELA DE CALCULOS PROCESSADOS NA SENIOR
	   ON (CA.NUMEMP = VA.NUMEMP AND CA.CODCAL = VA.CODCAL) 
       INNER JOIN R034FUN FUN --> TABELA SENIOR DE FUNCIONARIOS
	   ON (VA.NUMEMP = FUN.NUMEMP AND VA.TIPCOL = FUN.TIPCOL AND VA.NUMCAD = FUN.NUMCAD)
	   INNER JOIN TB_AUX_FUNCIONARIOS_MIGRADOS MIG  --> TABELA AUXILIAR SOMENTE COM OS FUNCIONARIOS MIGRADOS NO ESCOPO
	   ON (FUN.NUMEMP = MIG.NUMEMP AND FUN.TIPCOL = MIG.TIPCOL AND FUN.NUMCAD = MIG.NUMCAD)
 WHERE LTRIM(RTRIM(VA.TIPIRF)) = 'D'
   AND VA.DEPIRF > 0
   AND VA.BASCAL > 0
------------------------------------------------------------------------------------------------------------------------
UNION ALL
------------------------------------------------------------------------------------------------------------------------
/*
------------------------------------------------------------------------------------------------------------------------
EVENTO 13615 - DEDUCOES IRRF 13 SALARIO
------------------------------------------------------------------------------------------------------------------------
Tabela: R046IRF Coluna: bascal
Vincular o campo "codcal" com essa tabela e migrar apenas quando o campo "tipirf" for igual a "D".
O resultado a ser migrado ser o valor desse campo, multiplicado pelos valores abaixo:
04/2011 a 12/2011 = 157,47 * Coluna: depirf
01/2012 a 12/2012 = 164,56 * Coluna: depirf
01/2013 a 12/2013 = 171,97 * Coluna: depirf
01/2014 a 03/2015 = 179,71 * Coluna: depirf
04/2015 a Atual = 189,59 * Coluna: depirf
------------------------------------------------------------------------------------------------------------------------
*/
SELECT VA.NUMEMP, VA.TIPCOL, VA.NUMCAD, MIG.DATAFA AS DATREC, VA.TIPIRF, VA.DEPIRF,
       ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
       CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) AS REFER_NUM, REPLACE(RIGHT(CONVERT(VARCHAR,VA.DATRF1,103),7),'/','') AS REFER,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   CASE WHEN MIG.sitafa <> 7 THEN 4 --> ATIVOS: MENSAL
	        WHEN MIG.sitafa = 7 AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) < CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2)) THEN 4 --> DEMITIDOS REFER ANT DEMISSAO: MENSAL
			WHEN MIG.sitafa = 7 AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) = CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2)) THEN 5 --> DEMITIDOS REFER IGUAL DEMISSAO: RESCISAO
			WHEN MIG.sitafa = 7 AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) > CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2)) THEN 8 --> DEMITIDOS REFER MAIO DEMISSAO: RESCISAO COMP FORA MES
			ELSE 0
	   END AS COD_FOLHA_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   13615 AS COD_EVENTO_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   CASE WHEN CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) <= 201112 THEN VA.DEPIRF * 157.47
	        WHEN CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) BETWEEN 201201 AND 201212 THEN VA.DEPIRF * 164.56
			WHEN CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) BETWEEN 201301 AND 201312 THEN VA.DEPIRF * 171.97
			WHEN CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.DATRF1,112),6)) >= 201504 THEN VA.DEPIRF * 189.59
			ELSE 0
	   END AS VALOR
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
  FROM R046IRF VA --> TABELA SENIOR DE HISTORICO DE EVENTOS CALCULADOS DE FERIAS
       INNER JOIN R044CAL CA --> TABELA DE CALCULOS PROCESSADOS NA SENIOR
	   ON (CA.NUMEMP = VA.NUMEMP AND CA.CODCAL = VA.CODCAL) 
       INNER JOIN R034FUN FUN --> TABELA SENIOR DE FUNCIONARIOS
	   ON (VA.NUMEMP = FUN.NUMEMP AND VA.TIPCOL = FUN.TIPCOL AND VA.NUMCAD = FUN.NUMCAD)
	   INNER JOIN TB_AUX_FUNCIONARIOS_MIGRADOS MIG  --> TABELA AUXILIAR SOMENTE COM OS FUNCIONARIOS MIGRADOS NO ESCOPO
	   ON (FUN.NUMEMP = MIG.NUMEMP AND FUN.TIPCOL = MIG.TIPCOL AND FUN.NUMCAD = MIG.NUMCAD)
 WHERE LTRIM(RTRIM(VA.TIPIRF)) = 'D'
   AND VA.DEPIRF > 0
   AND VA.BASCAL > 0
------------------------------------------------------------------------------------------------------------------------
UNION ALL
------------------------------------------------------------------------------------------------------------------------
/*
------------------------------------------------------------------------------------------------------------------------
EVENTO 14100 - BASE FGTS MES
------------------------------------------------------------------------------------------------------------------------
Tabela: R056DEP Coluna: f13bas
Migrar para esse evento apenas quando a coluna "cmpfgt" NO estiver na mesma competncia da resciso.
------------------------------------------------------------------------------------------------------------------------
*/
SELECT VA.NUMEMP, VA.TIPCOL, VA.NUMCAD, MIG.DATAFA AS DATREC, '' AS TIPIRF, '0' AS DEPIRF,
       ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
       CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.CMPFGT,112),6)) AS REFER_NUM, REPLACE(RIGHT(CONVERT(VARCHAR,VA.CMPFGT,103),7),'/','') AS REFER,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   CASE WHEN MIG.sitafa <> 7 THEN 4 --> ATIVOS: MENSAL
	        WHEN MIG.sitafa = 7 AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.CMPFGT,112),6)) < CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2)) THEN 4 --> DEMITIDOS REFER ANT DEMISSAO: MENSAL
			WHEN MIG.sitafa = 7 AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.CMPFGT,112),6)) = CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2)) THEN 5 --> DEMITIDOS REFER IGUAL DEMISSAO: RESCISAO
			WHEN MIG.sitafa = 7 AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.CMPFGT,112),6)) > CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2)) THEN 8 --> DEMITIDOS REFER MAIO DEMISSAO: RESCISAO COMP FORA MES
			ELSE 0
	   END AS COD_FOLHA_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   14100 AS COD_EVENTO_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   VA.F13BAS AS VALOR
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
  FROM R056DEP VA --> TABELA SENIOR DE HISTORICO DE EVENTOS CALCULADOS DE FERIAS
       INNER JOIN R034FUN FUN --> TABELA SENIOR DE FUNCIONARIOS
	   ON (VA.NUMEMP = FUN.NUMEMP AND VA.TIPCOL = FUN.TIPCOL AND VA.NUMCAD = FUN.NUMCAD)
	   INNER JOIN TB_AUX_FUNCIONARIOS_MIGRADOS MIG  --> TABELA AUXILIAR SOMENTE COM OS FUNCIONARIOS MIGRADOS NO ESCOPO
	   ON (FUN.NUMEMP = MIG.NUMEMP AND FUN.TIPCOL = MIG.TIPCOL AND FUN.NUMCAD = MIG.NUMCAD)
 WHERE VA.F13BAS > 0
   AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.CMPFGT,112),6)) < CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2))
------------------------------------------------------------------------------------------------------------------------
UNION ALL
------------------------------------------------------------------------------------------------------------------------
/*
------------------------------------------------------------------------------------------------------------------------
EVENTO 14100 - BASE FGTS MES
------------------------------------------------------------------------------------------------------------------------
Tabela: R056DEP Coluna: fgtbas
Migrar para esse evento apenas quando a coluna "cmpfgt" estiver na mesma competncia da resciso.
------------------------------------------------------------------------------------------------------------------------
*/
SELECT VA.NUMEMP, VA.TIPCOL, VA.NUMCAD, MIG.DATAFA AS DATREC, '' AS TIPIRF, '0' AS DEPIRF,
       ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
       CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.CMPFGT,112),6)) AS REFER_NUM, REPLACE(RIGHT(CONVERT(VARCHAR,VA.CMPFGT,103),7),'/','') AS REFER,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   CASE WHEN MIG.sitafa <> 7 THEN 4 --> ATIVOS: MENSAL
	        WHEN MIG.sitafa = 7 AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.CMPFGT,112),6)) < CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2)) THEN 4 --> DEMITIDOS REFER ANT DEMISSAO: MENSAL
			WHEN MIG.sitafa = 7 AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.CMPFGT,112),6)) = CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2)) THEN 5 --> DEMITIDOS REFER IGUAL DEMISSAO: RESCISAO
			WHEN MIG.sitafa = 7 AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.CMPFGT,112),6)) > CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2)) THEN 8 --> DEMITIDOS REFER MAIO DEMISSAO: RESCISAO COMP FORA MES
			ELSE 0
	   END AS COD_FOLHA_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   14100 AS COD_EVENTO_LG,
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	   VA.FGTBAS AS VALOR
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
  FROM R056DEP VA --> TABELA SENIOR DE HISTORICO DE EVENTOS CALCULADOS DE FERIAS
       INNER JOIN R034FUN FUN --> TABELA SENIOR DE FUNCIONARIOS
	   ON (VA.NUMEMP = FUN.NUMEMP AND VA.TIPCOL = FUN.TIPCOL AND VA.NUMCAD = FUN.NUMCAD)
	   INNER JOIN TB_AUX_FUNCIONARIOS_MIGRADOS MIG  --> TABELA AUXILIAR SOMENTE COM OS FUNCIONARIOS MIGRADOS NO ESCOPO
	   ON (FUN.NUMEMP = MIG.NUMEMP AND FUN.TIPCOL = MIG.TIPCOL AND FUN.NUMCAD = MIG.NUMCAD)
 WHERE VA.FGTBAS > 0
   AND CONVERT(BIGINT,LEFT(CONVERT(VARCHAR,VA.CMPFGT,112),6)) = CONVERT(BIGINT,RIGHT(MIG.DATAFA,4) + SUBSTRING(MIG.DATAFA,4,2))
--===================================================================================================================================================================================



--===================================================================================================================================================================================
--> GERANDO ARQUIVO PARA IMPORTAO A PARTIR DA VIEW
--===================================================================================================================================================================================
SELECT '1' AS "01 Quando o registro existir",
       ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
       CASE WHEN VA.NUMEMP = 1 THEN 304
		    WHEN VA.NUMEMP = 2 THEN 303
		    ELSE 0
	   END					AS [02 Cdigo da Empresa],
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
       DBO.FNC_DEPARA(CAST(VA.NUMEMP AS VARCHAR)+'_'+CAST(VA.TIPCOL AS VARCHAR)+'_'+CAST(VA.NUMCAD AS VARCHAR),'MATRICULA','HMC-IMC-SJRP') AS [03 Matrcula do colaborador],
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
       VA.COD_FOLHA_LG AS [04 Cdigo da folha],
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
       VA.REFER AS [05 Ms de Referncia],
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
       VA.COD_EVENTO_LG AS [06 Cdigo do Evento],
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
       '' AS [07 Total das parcelas],
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
       '' AS [08 N da parcela atual],
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
       SUM(VA.VALOR) AS [09 Valor Evento]
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
  FROM VW_FICHA_FINANCEIRA_SENIOR_BASES VA
 WHERE VA.NUMEMP IN (1,2)
   --AND VA.COD_FOLHA_LG = 32 AND VA.COD_EVENTO_LG = 15010
 GROUP BY VA.NUMEMP, VA.TIPCOL, VA.NUMCAD, VA.COD_FOLHA_LG, VA.REFER, VA.REFER_NUM, VA.COD_EVENTO_LG
 ORDER BY REFER_NUM DESC, VA.NUMEMP, VA.NUMCAD, VA.TIPCOL, VA.COD_FOLHA_LG, VA.COD_EVENTO_LG



/**********/
/*** OU ***/
/**********/

/*
SELECT *
  INTO TB_AUX_FICHA_FINANCEIRA_SENIOR_BASES
  FROM VW_FICHA_FINANCEIRA_SENIOR_BASES VA
 WHERE VA.NUMEMP IN (1,2)
   AND VA.COD_FOLHA_LG = 32 AND VA.COD_EVENTO_LG = 15010
*/

--======================================================================================================================
--> GERANDO TABELA AUXILIAR E DEPOIS O ARQUIVO A PARTIR DA TABELA (EXECUTAR QUANDO PERFORMANCE VIEW FOR LENTA)
--======================================================================================================================
-- DROP TABLE [TB_AUX_FICHA_FINANCEIRA_SENIOR_BASES]
-- TRUNCATE TABLE [TB_AUX_FICHA_FINANCEIRA_SENIOR_BASES]
CREATE TABLE [dbo].[TB_AUX_FICHA_FINANCEIRA_SENIOR_BASES](
	[NUMEMP] [smallint]     NOT NULL,
	[TIPCOL] [smallint]     NOT NULL,
	[NUMCAD] [int]          NOT NULL,
	[DATREC] [varchar](10)  NOT NULL,
	[TIPIRF] [varchar](1)   NULL,
	[DEPIRF] [smallint]     NULL,
	[REFER_NUM] [bigint]    NOT NULL,
	[REFER] [varchar](8000) NOT NULL,
	[COD_FOLHA_LG] [int]    NOT NULL,
	[COD_EVENTO_LG] [int]   NOT NULL,
	[VALOR] [numeric](18,2) NOT NULL
) ON [PRIMARY]
GO

CREATE INDEX IDX_TA_FF_BAS_001 ON [TB_AUX_FICHA_FINANCEIRA_SENIOR_BASES] (REFER_NUM, NUMEMP, NUMCAD, TIPCOL, [COD_FOLHA_LG], [COD_EVENTO_LG])
CREATE INDEX IDX_TA_FF_BAS_002 ON [TB_AUX_FICHA_FINANCEIRA_SENIOR_BASES] (REFER_NUM, [COD_FOLHA_LG], [COD_EVENTO_LG])
CREATE INDEX IDX_TA_FF_BAS_003 ON [TB_AUX_FICHA_FINANCEIRA_SENIOR_BASES] ([COD_FOLHA_LG], [COD_EVENTO_LG])


/*
DELETE
  FROM [TB_AUX_FICHA_FINANCEIRA_SENIOR_BASES]
 WHERE COD_FOLHA_LG = 32 
   AND COD_EVENTO_LG = 15010
*/

INSERT INTO [TB_AUX_FICHA_FINANCEIRA_SENIOR_BASES]
SELECT VA.NUMEMP,
       VA.TIPCOL,
       VA.NUMCAD,
       VA.DATREC,
       VA.TIPIRF,
       VA.DEPIRF,
       VA.REFER_NUM,
       VA.REFER,
       VA.COD_FOLHA_LG,
       VA.COD_EVENTO_LG,
       VA.VALOR
  FROM VW_FICHA_FINANCEIRA_SENIOR_BASES VA
 WHERE VA.NUMEMP IN (1,2)
   --AND VA.COD_FOLHA_LG = 32 AND VA.COD_EVENTO_LG = 15010



SELECT '1' AS "01 Quando o registro existir",
       ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
       CASE WHEN VA.NUMEMP = 1 THEN 304
		    WHEN VA.NUMEMP = 2 THEN 303
		    ELSE 0
	   END					AS [02 Cdigo da Empresa],
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
       DBO.FNC_DEPARA(CAST(VA.NUMEMP AS VARCHAR)+'_'+CAST(VA.TIPCOL AS VARCHAR)+'_'+CAST(VA.NUMCAD AS VARCHAR),'MATRICULA','HMC-IMC-SJRP') AS [03 Matrcula do colaborador],
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
       VA.COD_FOLHA_LG AS [04 Cdigo da folha],
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
       VA.REFER AS [05 Ms de Referncia],
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
       VA.COD_EVENTO_LG AS [06 Cdigo do Evento],
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
       '' AS [07 Total das parcelas],
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
       '' AS [08 N da parcela atual],
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
       SUM(VA.VALOR) AS [09 Valor Evento]
	   ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
  FROM [TB_AUX_FICHA_FINANCEIRA_SENIOR_BASES] VA
 WHERE VA.REFER_NUM BETWEEN 202201 AND 202207
 GROUP BY VA.NUMEMP, VA.TIPCOL, VA.NUMCAD, VA.COD_FOLHA_LG, VA.REFER, VA.REFER_NUM, VA.COD_EVENTO_LG
HAVING SUM(VA.[VALOR]) > 0
 ORDER BY REFER_NUM DESC, VA.NUMEMP, VA.NUMCAD, VA.TIPCOL, VA.COD_FOLHA_LG, VA.COD_EVENTO_LG




