/*** ANALISE DE TRANSFERNCIA DE ESTABELECIMENTO                                                            ***/
/*** CONSIDERAR SEMPRE QUE O FUNCIONARIO TIVER MAIS DE UM CPF A DATA DE RESCISO RESCENTE                   ***/
/**************************************************************************************************************/

-- CONTAGEM DE CPF REPETIDOS
WITH CPF_MAIOR_UM AS
(
SELECT RA_CIC CPF, RA_ADMISSA, COUNT(*) CONTADOR FROM TB_AUX_FUNCIONARIOS GROUP BY RA_CIC, RA_ADMISSA  HAVING COUNT(*) > 1
)

-- SOMENTE CPF RETETIDOS
select CODIGO_EMPRESA_LG AS "EMPRESA", FUN.RA_CIC, FUN.RA_FILIAL, FUN.RA_MAT,FUN.RA_ADMISSA, FUN.RA_DEMISSA, row_number() over(partition by RA_CIC order by TRIM(FUN.RA_DEMISSA) ASC) as nr,
        RA_RESCRAI, X5_DESCRI
FROM    TB_AUX_FUNCIONARIOS FUN
        LEFT JOIN CPF_MAIOR_UM ON CPF_MAIOR_UM.CPF = FUN.RA_CIC 
        LEFT JOIN TB_AUX_MOTIVOS_RESCISAO ON (X5_CHAVE = FUN.RA_RESCRAI AND X5_FILIAL = FUN.RA_FILIAL)
        LEFT JOIN LG_DEPARA_EMPRESA ON M0_CODFIL = FUN.RA_FILIAL
WHERE CONTADOR > 1
ORDER BY TRIM(FUN.RA_CIC), TRIM(FUN.RA_DEMISSA) ASC;


-----------------------
-- CONTAGEM DE CPF REPETIDOS
WITH CPF_MAIOR_UM AS
(
SELECT RA_CIC CPF, RA_ADMISSA, COUNT(*) CONTADOR FROM TB_AUX_FUNCIONARIOS GROUP BY RA_CIC, RA_ADMISSA  HAVING COUNT(*) > 1
)

-- SOMENTE CPF RETETIDOS
select CODIGO_EMPRESA_LG AS "EMPRESA", FUN.RA_CIC, FUN.RA_FILIAL, FUN.RA_MAT,FUN.RA_ADMISSA, FUN.RA_DEMISSA, row_number() over(partition by RA_CIC order by TRIM(FUN.RA_DEMISSA) ASC) as nr,
        RA_RESCRAI, X5_DESCRI
FROM    TB_AUX_FUNCIONARIOS FUN
        LEFT JOIN CPF_MAIOR_UM ON CPF_MAIOR_UM.CPF = FUN.RA_CIC 
        LEFT JOIN TB_AUX_MOTIVOS_RESCISAO ON (X5_CHAVE = FUN.RA_RESCRAI AND X5_FILIAL = FUN.RA_FILIAL)
        LEFT JOIN LG_DEPARA_EMPRESA ON M0_CODFIL = FUN.RA_FILIAL
WHERE CONTADOR > 1
ORDER BY TRIM(FUN.RA_CIC), TRIM(FUN.RA_DEMISSA) ASC;

SELECT * FROM LG_DEPARA_EMPRESA;

select FN_RETORNA_EMPRESA(F.RA_FILIAL) EMPRESA, LGM.MATRICULA_LG, F.* from 
TB_AUX_FUNCIONARIOS F 
LEFT JOIN LG_DEPARA_MATRICULA LGM
	ON (LGM.FILIAL_PROTHEUS = F.RA_FILIAL AND LGM.MATRICULA_PROTHEUS = F.RA_MAT)
where not exists (select 1 from TB_AUX_MOTIVOS_RESCISAO
WHERE X5_CHAVE = F.RA_RESCRAI AND X5_FILIAL = F.RA_FILIAL AND X5_CHAVE IN (30, 31)) --31-TRANSFERENCIA SEM ONUS PARA A CEDENTE/30-TRANSFERENCIA COM ONUS PARA A CEDENTE                                    
AND TRIM(F.RA_FILIAL || F.RA_MAT) NOT IN ('010102002639','010101004104','060102000031','060101000032','060102000033') --5 MATRICULAS DE TRANF ENTRE EMPRESA
AND F.RA_CATFUNC NOT IN ('A', 'E','P');


/*
CRIAO DE TABELA AUXILIAR COM AS MATRICULAS DE TRANSFERNCIAS
*/
CREATE  TABLE TB_TRANSFERENCIAS2 AS (
SELECT 
FUNC_ORIGEM.RA_CIC,
FUNC_ORIGEM.RA_DEMISSA AS "ORIGEM_DEMISSA",
FUNC_DESTINO.RA_DEMISSA AS "DESTINO_DEMISSA", 
RE_MATD mat_origem, 
RE_MATP mat_destino, 
RE_FILIALD ORIGEM, 
RE_FILIALP DESTINO, 
EMPRESA_ORIGEM.CODIGO_EMPRESA_LG EMP_ORIGEM_LG,
EMPRESA_DESTINO.CODIGO_EMPRESA_LG EMP_DESTINO_LG,RE_DATA,
--EMPRESA_DESTINO.INSCRICAO_LG  --ALTERADO EM 02/09
EMPRESA_ORIGEM.INSCRICAO_LG    --ALTERADO EM 02/09

FROM TB_AUX_TRANSFERENCIA
LEFT JOIN TB_AUX_FUNCIONARIOS FUNC_ORIGEM ON FUNC_ORIGEM.RA_FILIAL = RE_FILIALD AND FUNC_ORIGEM.RA_MAT = RE_MATD
LEFT JOIN TB_AUX_FUNCIONARIOS FUNC_DESTINO ON FUNC_DESTINO.RA_FILIAL = RE_FILIALP AND FUNC_DESTINO.RA_MAT = RE_MATP
LEFT JOIN LG_DEPARA_EMPRESA EMPRESA_DESTINO ON TRIM(EMPRESA_DESTINO.M0_CODFIL) = TRIM(RE_FILIALP)
AND TRIM(EMPRESA_DESTINO.M0_CODIGO) = FUNC_DESTINO.CODEMP

LEFT JOIN LG_DEPARA_EMPRESA EMPRESA_ORIGEM ON TRIM(EMPRESA_ORIGEM.M0_CODFIL) = TRIM(RE_FILIALD)
AND TRIM(EMPRESA_ORIGEM.M0_CODIGO) = FUNC_ORIGEM.CODEMP

WHERE RE_FILIALD <> RE_FILIALP
AND EMPRESA_ORIGEM.CODIGO_EMPRESA_LG <> EMPRESA_DESTINO.CODIGO_EMPRESA_LG
);
select  from 


